function y = equations(mu) 
%% function automatically generated by worm_sim 
%% notation: 
%% mu(i,j,k)     service rate of k-th input channel at router (i,j)
%% ro(i,j,k)     utilization of k-th input channel at router (i,j)
%% lambda(i,j,k)  load of k-th input channel at router (i,j)
%% mu_eff(i,j,k) effective service rate of k-th input channel at (i,j)
%%               as observed by its upstream input channel buffers
%% b(i,j,k)      buffer depth (in flits) for k-th input channel at (i,j)



%% once you get the mu of each channel, you can estimate the latency indication
%% by calculating sum(lambda(i,j,k) / (mu(i,j,k) - lambda(i,j,k))).
%% This value gives you an indication of the packet latency, and the real
%% estimated value should be devided by the sum of all the packets injection
%% rate.

%% buffer depth will be passed from external scripts as global variables
global b;

%% we allow service rate to be specified by user
global S;

%% lambda variable will also be used by external scripts, so make it global
global lambda;

%% prob(x,y,d1,d2) is the probability of a packet in channel (x,y,d1) to go to 
%% d2 direction. If channel(x,y,d1) is 0, assign it to be 0 too.
global prob;
%% ro value calculation: 
ro(1,1,1) = lambda(1,1,1) / mu(1,1,1);
ro(1,1,2) = lambda(1,1,2) / mu(1,1,2);
ro(1,1,3) = 0;
ro(1,1,4) = lambda(1,1,4) / mu(1,1,4);
ro(1,1,5) = 0;
ro(1,2,1) = lambda(1,2,1) / mu(1,2,1);
ro(1,2,2) = lambda(1,2,2) / mu(1,2,2);
ro(1,2,3) = lambda(1,2,3) / mu(1,2,3);
ro(1,2,4) = lambda(1,2,4) / mu(1,2,4);
ro(1,2,5) = 0;
ro(1,3,1) = lambda(1,3,1) / mu(1,3,1);
ro(1,3,2) = lambda(1,3,2) / mu(1,3,2);
ro(1,3,3) = lambda(1,3,3) / mu(1,3,3);
ro(1,3,4) = lambda(1,3,4) / mu(1,3,4);
ro(1,3,5) = 0;
ro(1,4,1) = lambda(1,4,1) / mu(1,4,1);
ro(1,4,2) = 0;
ro(1,4,3) = lambda(1,4,3) / mu(1,4,3);
ro(1,4,4) = lambda(1,4,4) / mu(1,4,4);
ro(1,4,5) = 0;
ro(2,1,1) = lambda(2,1,1) / mu(2,1,1);
ro(2,1,2) = lambda(2,1,2) / mu(2,1,2);
ro(2,1,3) = 0;
ro(2,1,4) = lambda(2,1,4) / mu(2,1,4);
ro(2,1,5) = lambda(2,1,5) / mu(2,1,5);
ro(2,2,1) = lambda(2,2,1) / mu(2,2,1);
ro(2,2,2) = lambda(2,2,2) / mu(2,2,2);
ro(2,2,3) = lambda(2,2,3) / mu(2,2,3);
ro(2,2,4) = lambda(2,2,4) / mu(2,2,4);
ro(2,2,5) = lambda(2,2,5) / mu(2,2,5);
ro(2,3,1) = lambda(2,3,1) / mu(2,3,1);
ro(2,3,2) = lambda(2,3,2) / mu(2,3,2);
ro(2,3,3) = lambda(2,3,3) / mu(2,3,3);
ro(2,3,4) = lambda(2,3,4) / mu(2,3,4);
ro(2,3,5) = lambda(2,3,5) / mu(2,3,5);
ro(2,4,1) = lambda(2,4,1) / mu(2,4,1);
ro(2,4,2) = 0;
ro(2,4,3) = lambda(2,4,3) / mu(2,4,3);
ro(2,4,4) = lambda(2,4,4) / mu(2,4,4);
ro(2,4,5) = lambda(2,4,5) / mu(2,4,5);
ro(3,1,1) = lambda(3,1,1) / mu(3,1,1);
ro(3,1,2) = lambda(3,1,2) / mu(3,1,2);
ro(3,1,3) = 0;
ro(3,1,4) = lambda(3,1,4) / mu(3,1,4);
ro(3,1,5) = lambda(3,1,5) / mu(3,1,5);
ro(3,2,1) = lambda(3,2,1) / mu(3,2,1);
ro(3,2,2) = lambda(3,2,2) / mu(3,2,2);
ro(3,2,3) = lambda(3,2,3) / mu(3,2,3);
ro(3,2,4) = lambda(3,2,4) / mu(3,2,4);
ro(3,2,5) = lambda(3,2,5) / mu(3,2,5);
ro(3,3,1) = lambda(3,3,1) / mu(3,3,1);
ro(3,3,2) = lambda(3,3,2) / mu(3,3,2);
ro(3,3,3) = lambda(3,3,3) / mu(3,3,3);
ro(3,3,4) = lambda(3,3,4) / mu(3,3,4);
ro(3,3,5) = lambda(3,3,5) / mu(3,3,5);
ro(3,4,1) = lambda(3,4,1) / mu(3,4,1);
ro(3,4,2) = 0;
ro(3,4,3) = lambda(3,4,3) / mu(3,4,3);
ro(3,4,4) = lambda(3,4,4) / mu(3,4,4);
ro(3,4,5) = lambda(3,4,5) / mu(3,4,5);
ro(4,1,1) = lambda(4,1,1) / mu(4,1,1);
ro(4,1,2) = lambda(4,1,2) / mu(4,1,2);
ro(4,1,3) = 0;
ro(4,1,4) = 0;
ro(4,1,5) = lambda(4,1,5) / mu(4,1,5);
ro(4,2,1) = lambda(4,2,1) / mu(4,2,1);
ro(4,2,2) = lambda(4,2,2) / mu(4,2,2);
ro(4,2,3) = lambda(4,2,3) / mu(4,2,3);
ro(4,2,4) = 0;
ro(4,2,5) = lambda(4,2,5) / mu(4,2,5);
ro(4,3,1) = lambda(4,3,1) / mu(4,3,1);
ro(4,3,2) = lambda(4,3,2) / mu(4,3,2);
ro(4,3,3) = lambda(4,3,3) / mu(4,3,3);
ro(4,3,4) = 0;
ro(4,3,5) = lambda(4,3,5) / mu(4,3,5);
ro(4,4,1) = lambda(4,4,1) / mu(4,4,1);
ro(4,4,2) = 0;
ro(4,4,3) = lambda(4,4,3) / mu(4,4,3);
ro(4,4,4) = 0;
ro(4,4,5) = lambda(4,4,5) / mu(4,4,5);


%% mu_eff (effective service rate seen by upstream input buffers) calculation: 
mu_eff(1,1,1) = 1;
mu_eff(1,1,2) = (1 - ro(1,1,2) ^ b(1,1,2)) / (1 - ro(1,1,2) ^ (b(1,1,2) + 1));
mu_eff(1,1,3) = (1 - ro(1,1,3) ^ b(1,1,3)) / (1 - ro(1,1,3) ^ (b(1,1,3) + 1));
mu_eff(1,1,4) = (1 - ro(1,1,4) ^ b(1,1,4)) / (1 - ro(1,1,4) ^ (b(1,1,4) + 1));
mu_eff(1,1,5) = (1 - ro(1,1,5) ^ b(1,1,5)) / (1 - ro(1,1,5) ^ (b(1,1,5) + 1));
mu_eff(1,2,1) = 1;
mu_eff(1,2,2) = (1 - ro(1,2,2) ^ b(1,2,2)) / (1 - ro(1,2,2) ^ (b(1,2,2) + 1));
mu_eff(1,2,3) = (1 - ro(1,2,3) ^ b(1,2,3)) / (1 - ro(1,2,3) ^ (b(1,2,3) + 1));
mu_eff(1,2,4) = (1 - ro(1,2,4) ^ b(1,2,4)) / (1 - ro(1,2,4) ^ (b(1,2,4) + 1));
mu_eff(1,2,5) = (1 - ro(1,2,5) ^ b(1,2,5)) / (1 - ro(1,2,5) ^ (b(1,2,5) + 1));
mu_eff(1,3,1) = 1;
mu_eff(1,3,2) = (1 - ro(1,3,2) ^ b(1,3,2)) / (1 - ro(1,3,2) ^ (b(1,3,2) + 1));
mu_eff(1,3,3) = (1 - ro(1,3,3) ^ b(1,3,3)) / (1 - ro(1,3,3) ^ (b(1,3,3) + 1));
mu_eff(1,3,4) = (1 - ro(1,3,4) ^ b(1,3,4)) / (1 - ro(1,3,4) ^ (b(1,3,4) + 1));
mu_eff(1,3,5) = (1 - ro(1,3,5) ^ b(1,3,5)) / (1 - ro(1,3,5) ^ (b(1,3,5) + 1));
mu_eff(1,4,1) = 1;
mu_eff(1,4,2) = (1 - ro(1,4,2) ^ b(1,4,2)) / (1 - ro(1,4,2) ^ (b(1,4,2) + 1));
mu_eff(1,4,3) = (1 - ro(1,4,3) ^ b(1,4,3)) / (1 - ro(1,4,3) ^ (b(1,4,3) + 1));
mu_eff(1,4,4) = (1 - ro(1,4,4) ^ b(1,4,4)) / (1 - ro(1,4,4) ^ (b(1,4,4) + 1));
mu_eff(1,4,5) = (1 - ro(1,4,5) ^ b(1,4,5)) / (1 - ro(1,4,5) ^ (b(1,4,5) + 1));
mu_eff(2,1,1) = 1;
mu_eff(2,1,2) = (1 - ro(2,1,2) ^ b(2,1,2)) / (1 - ro(2,1,2) ^ (b(2,1,2) + 1));
mu_eff(2,1,3) = (1 - ro(2,1,3) ^ b(2,1,3)) / (1 - ro(2,1,3) ^ (b(2,1,3) + 1));
mu_eff(2,1,4) = (1 - ro(2,1,4) ^ b(2,1,4)) / (1 - ro(2,1,4) ^ (b(2,1,4) + 1));
mu_eff(2,1,5) = (1 - ro(2,1,5) ^ b(2,1,5)) / (1 - ro(2,1,5) ^ (b(2,1,5) + 1));
mu_eff(2,2,1) = 1;
mu_eff(2,2,2) = (1 - ro(2,2,2) ^ b(2,2,2)) / (1 - ro(2,2,2) ^ (b(2,2,2) + 1));
mu_eff(2,2,3) = (1 - ro(2,2,3) ^ b(2,2,3)) / (1 - ro(2,2,3) ^ (b(2,2,3) + 1));
mu_eff(2,2,4) = (1 - ro(2,2,4) ^ b(2,2,4)) / (1 - ro(2,2,4) ^ (b(2,2,4) + 1));
mu_eff(2,2,5) = (1 - ro(2,2,5) ^ b(2,2,5)) / (1 - ro(2,2,5) ^ (b(2,2,5) + 1));
mu_eff(2,3,1) = 1;
mu_eff(2,3,2) = (1 - ro(2,3,2) ^ b(2,3,2)) / (1 - ro(2,3,2) ^ (b(2,3,2) + 1));
mu_eff(2,3,3) = (1 - ro(2,3,3) ^ b(2,3,3)) / (1 - ro(2,3,3) ^ (b(2,3,3) + 1));
mu_eff(2,3,4) = (1 - ro(2,3,4) ^ b(2,3,4)) / (1 - ro(2,3,4) ^ (b(2,3,4) + 1));
mu_eff(2,3,5) = (1 - ro(2,3,5) ^ b(2,3,5)) / (1 - ro(2,3,5) ^ (b(2,3,5) + 1));
mu_eff(2,4,1) = 1;
mu_eff(2,4,2) = (1 - ro(2,4,2) ^ b(2,4,2)) / (1 - ro(2,4,2) ^ (b(2,4,2) + 1));
mu_eff(2,4,3) = (1 - ro(2,4,3) ^ b(2,4,3)) / (1 - ro(2,4,3) ^ (b(2,4,3) + 1));
mu_eff(2,4,4) = (1 - ro(2,4,4) ^ b(2,4,4)) / (1 - ro(2,4,4) ^ (b(2,4,4) + 1));
mu_eff(2,4,5) = (1 - ro(2,4,5) ^ b(2,4,5)) / (1 - ro(2,4,5) ^ (b(2,4,5) + 1));
mu_eff(3,1,1) = 1;
mu_eff(3,1,2) = (1 - ro(3,1,2) ^ b(3,1,2)) / (1 - ro(3,1,2) ^ (b(3,1,2) + 1));
mu_eff(3,1,3) = (1 - ro(3,1,3) ^ b(3,1,3)) / (1 - ro(3,1,3) ^ (b(3,1,3) + 1));
mu_eff(3,1,4) = (1 - ro(3,1,4) ^ b(3,1,4)) / (1 - ro(3,1,4) ^ (b(3,1,4) + 1));
mu_eff(3,1,5) = (1 - ro(3,1,5) ^ b(3,1,5)) / (1 - ro(3,1,5) ^ (b(3,1,5) + 1));
mu_eff(3,2,1) = 1;
mu_eff(3,2,2) = (1 - ro(3,2,2) ^ b(3,2,2)) / (1 - ro(3,2,2) ^ (b(3,2,2) + 1));
mu_eff(3,2,3) = (1 - ro(3,2,3) ^ b(3,2,3)) / (1 - ro(3,2,3) ^ (b(3,2,3) + 1));
mu_eff(3,2,4) = (1 - ro(3,2,4) ^ b(3,2,4)) / (1 - ro(3,2,4) ^ (b(3,2,4) + 1));
mu_eff(3,2,5) = (1 - ro(3,2,5) ^ b(3,2,5)) / (1 - ro(3,2,5) ^ (b(3,2,5) + 1));
mu_eff(3,3,1) = 1;
mu_eff(3,3,2) = (1 - ro(3,3,2) ^ b(3,3,2)) / (1 - ro(3,3,2) ^ (b(3,3,2) + 1));
mu_eff(3,3,3) = (1 - ro(3,3,3) ^ b(3,3,3)) / (1 - ro(3,3,3) ^ (b(3,3,3) + 1));
mu_eff(3,3,4) = (1 - ro(3,3,4) ^ b(3,3,4)) / (1 - ro(3,3,4) ^ (b(3,3,4) + 1));
mu_eff(3,3,5) = (1 - ro(3,3,5) ^ b(3,3,5)) / (1 - ro(3,3,5) ^ (b(3,3,5) + 1));
mu_eff(3,4,1) = 1;
mu_eff(3,4,2) = (1 - ro(3,4,2) ^ b(3,4,2)) / (1 - ro(3,4,2) ^ (b(3,4,2) + 1));
mu_eff(3,4,3) = (1 - ro(3,4,3) ^ b(3,4,3)) / (1 - ro(3,4,3) ^ (b(3,4,3) + 1));
mu_eff(3,4,4) = (1 - ro(3,4,4) ^ b(3,4,4)) / (1 - ro(3,4,4) ^ (b(3,4,4) + 1));
mu_eff(3,4,5) = (1 - ro(3,4,5) ^ b(3,4,5)) / (1 - ro(3,4,5) ^ (b(3,4,5) + 1));
mu_eff(4,1,1) = 1;
mu_eff(4,1,2) = (1 - ro(4,1,2) ^ b(4,1,2)) / (1 - ro(4,1,2) ^ (b(4,1,2) + 1));
mu_eff(4,1,3) = (1 - ro(4,1,3) ^ b(4,1,3)) / (1 - ro(4,1,3) ^ (b(4,1,3) + 1));
mu_eff(4,1,4) = (1 - ro(4,1,4) ^ b(4,1,4)) / (1 - ro(4,1,4) ^ (b(4,1,4) + 1));
mu_eff(4,1,5) = (1 - ro(4,1,5) ^ b(4,1,5)) / (1 - ro(4,1,5) ^ (b(4,1,5) + 1));
mu_eff(4,2,1) = 1;
mu_eff(4,2,2) = (1 - ro(4,2,2) ^ b(4,2,2)) / (1 - ro(4,2,2) ^ (b(4,2,2) + 1));
mu_eff(4,2,3) = (1 - ro(4,2,3) ^ b(4,2,3)) / (1 - ro(4,2,3) ^ (b(4,2,3) + 1));
mu_eff(4,2,4) = (1 - ro(4,2,4) ^ b(4,2,4)) / (1 - ro(4,2,4) ^ (b(4,2,4) + 1));
mu_eff(4,2,5) = (1 - ro(4,2,5) ^ b(4,2,5)) / (1 - ro(4,2,5) ^ (b(4,2,5) + 1));
mu_eff(4,3,1) = 1;
mu_eff(4,3,2) = (1 - ro(4,3,2) ^ b(4,3,2)) / (1 - ro(4,3,2) ^ (b(4,3,2) + 1));
mu_eff(4,3,3) = (1 - ro(4,3,3) ^ b(4,3,3)) / (1 - ro(4,3,3) ^ (b(4,3,3) + 1));
mu_eff(4,3,4) = (1 - ro(4,3,4) ^ b(4,3,4)) / (1 - ro(4,3,4) ^ (b(4,3,4) + 1));
mu_eff(4,3,5) = (1 - ro(4,3,5) ^ b(4,3,5)) / (1 - ro(4,3,5) ^ (b(4,3,5) + 1));
mu_eff(4,4,1) = 1;
mu_eff(4,4,2) = (1 - ro(4,4,2) ^ b(4,4,2)) / (1 - ro(4,4,2) ^ (b(4,4,2) + 1));
mu_eff(4,4,3) = (1 - ro(4,4,3) ^ b(4,4,3)) / (1 - ro(4,4,3) ^ (b(4,4,3) + 1));
mu_eff(4,4,4) = (1 - ro(4,4,4) ^ b(4,4,4)) / (1 - ro(4,4,4) ^ (b(4,4,4) + 1));
mu_eff(4,4,5) = (1 - ro(4,4,5) ^ b(4,4,5)) / (1 - ro(4,4,5) ^ (b(4,4,5) + 1));


%% equations describing mu_eff and mu: 
y(1,1,1) = -mu(1,1,1) + 1/S * prob(1,1,1,2) * (1 - S * lambda(1,1,2) * prob(1,1,2,2) - S * lambda(1,1,4) * prob(1,1,4,2)) *  mu_eff(1,2,3)+1/S * prob(1,1,1,4) * (1 - S * lambda(1,1,2) * prob(1,1,2,4) - S * lambda(1,1,4) * prob(1,1,4,4)) *  mu_eff(2,1,5);
y(1,1,2) = -mu(1,1,2) + 1/S * prob(1,1,2,1) * (1 - S * lambda(1,1,1) * prob(1,1,1,1) - S * lambda(1,1,4) * prob(1,1,4,1)) * 1+1/S * prob(1,1,2,4) * (1 - S * lambda(1,1,1) * prob(1,1,1,4) - S * lambda(1,1,4) * prob(1,1,4,4)) *  mu_eff(2,1,5);
y(1,1,3) = -mu(1,1,3) + 1;
y(1,1,4) = -mu(1,1,4) + 1/S * prob(1,1,4,1) * (1 - S * lambda(1,1,1) * prob(1,1,1,1) - S * lambda(1,1,2) * prob(1,1,2,1)) * 1+1/S * prob(1,1,4,2) * (1 - S * lambda(1,1,1) * prob(1,1,1,2) - S * lambda(1,1,2) * prob(1,1,2,2)) *  mu_eff(1,2,3);
y(1,1,5) = -mu(1,1,5) + 1;
y(1,2,1) = -mu(1,2,1) + 1/S * prob(1,2,1,2) * (1 - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,3) * prob(1,2,3,2) - S * lambda(1,2,4) * prob(1,2,4,2)) *  mu_eff(1,3,3)+1/S * prob(1,2,1,3) * (1 - S * lambda(1,2,2) * prob(1,2,2,3) - S * lambda(1,2,3) * prob(1,2,3,3) - S * lambda(1,2,4) * prob(1,2,4,3)) *  mu_eff(1,1,2)+1/S * prob(1,2,1,4) * (1 - S * lambda(1,2,2) * prob(1,2,2,4) - S * lambda(1,2,3) * prob(1,2,3,4) - S * lambda(1,2,4) * prob(1,2,4,4)) *  mu_eff(2,2,5);
y(1,2,2) = -mu(1,2,2) + 1/S * prob(1,2,2,1) * (1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,3) * prob(1,2,3,1) - S * lambda(1,2,4) * prob(1,2,4,1)) * 1+1/S * prob(1,2,2,3) * (1 - S * lambda(1,2,1) * prob(1,2,1,3) - S * lambda(1,2,3) * prob(1,2,3,3) - S * lambda(1,2,4) * prob(1,2,4,3)) *  mu_eff(1,1,2)+1/S * prob(1,2,2,4) * (1 - S * lambda(1,2,1) * prob(1,2,1,4) - S * lambda(1,2,3) * prob(1,2,3,4) - S * lambda(1,2,4) * prob(1,2,4,4)) *  mu_eff(2,2,5);
y(1,2,3) = -mu(1,2,3) + 1/S * prob(1,2,3,1) * (1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,2) * prob(1,2,2,1) - S * lambda(1,2,4) * prob(1,2,4,1)) * 1+1/S * prob(1,2,3,2) * (1 - S * lambda(1,2,1) * prob(1,2,1,2) - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,4) * prob(1,2,4,2)) *  mu_eff(1,3,3)+1/S * prob(1,2,3,4) * (1 - S * lambda(1,2,1) * prob(1,2,1,4) - S * lambda(1,2,2) * prob(1,2,2,4) - S * lambda(1,2,4) * prob(1,2,4,4)) *  mu_eff(2,2,5);
y(1,2,4) = -mu(1,2,4) + 1/S * prob(1,2,4,1) * (1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,2) * prob(1,2,2,1) - S * lambda(1,2,3) * prob(1,2,3,1)) * 1+1/S * prob(1,2,4,2) * (1 - S * lambda(1,2,1) * prob(1,2,1,2) - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,3) * prob(1,2,3,2)) *  mu_eff(1,3,3)+1/S * prob(1,2,4,3) * (1 - S * lambda(1,2,1) * prob(1,2,1,3) - S * lambda(1,2,2) * prob(1,2,2,3) - S * lambda(1,2,3) * prob(1,2,3,3)) *  mu_eff(1,1,2);
y(1,2,5) = -mu(1,2,5) + 1;
y(1,3,1) = -mu(1,3,1) + 1/S * prob(1,3,1,2) * (1 - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,3) * prob(1,3,3,2) - S * lambda(1,3,4) * prob(1,3,4,2)) *  mu_eff(1,4,3)+1/S * prob(1,3,1,3) * (1 - S * lambda(1,3,2) * prob(1,3,2,3) - S * lambda(1,3,3) * prob(1,3,3,3) - S * lambda(1,3,4) * prob(1,3,4,3)) *  mu_eff(1,2,2)+1/S * prob(1,3,1,4) * (1 - S * lambda(1,3,2) * prob(1,3,2,4) - S * lambda(1,3,3) * prob(1,3,3,4) - S * lambda(1,3,4) * prob(1,3,4,4)) *  mu_eff(2,3,5);
y(1,3,2) = -mu(1,3,2) + 1/S * prob(1,3,2,1) * (1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,3) * prob(1,3,3,1) - S * lambda(1,3,4) * prob(1,3,4,1)) * 1+1/S * prob(1,3,2,3) * (1 - S * lambda(1,3,1) * prob(1,3,1,3) - S * lambda(1,3,3) * prob(1,3,3,3) - S * lambda(1,3,4) * prob(1,3,4,3)) *  mu_eff(1,2,2)+1/S * prob(1,3,2,4) * (1 - S * lambda(1,3,1) * prob(1,3,1,4) - S * lambda(1,3,3) * prob(1,3,3,4) - S * lambda(1,3,4) * prob(1,3,4,4)) *  mu_eff(2,3,5);
y(1,3,3) = -mu(1,3,3) + 1/S * prob(1,3,3,1) * (1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,2) * prob(1,3,2,1) - S * lambda(1,3,4) * prob(1,3,4,1)) * 1+1/S * prob(1,3,3,2) * (1 - S * lambda(1,3,1) * prob(1,3,1,2) - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,4) * prob(1,3,4,2)) *  mu_eff(1,4,3)+1/S * prob(1,3,3,4) * (1 - S * lambda(1,3,1) * prob(1,3,1,4) - S * lambda(1,3,2) * prob(1,3,2,4) - S * lambda(1,3,4) * prob(1,3,4,4)) *  mu_eff(2,3,5);
y(1,3,4) = -mu(1,3,4) + 1/S * prob(1,3,4,1) * (1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,2) * prob(1,3,2,1) - S * lambda(1,3,3) * prob(1,3,3,1)) * 1+1/S * prob(1,3,4,2) * (1 - S * lambda(1,3,1) * prob(1,3,1,2) - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,3) * prob(1,3,3,2)) *  mu_eff(1,4,3)+1/S * prob(1,3,4,3) * (1 - S * lambda(1,3,1) * prob(1,3,1,3) - S * lambda(1,3,2) * prob(1,3,2,3) - S * lambda(1,3,3) * prob(1,3,3,3)) *  mu_eff(1,2,2);
y(1,3,5) = -mu(1,3,5) + 1;
y(1,4,1) = -mu(1,4,1) + 1/S * prob(1,4,1,3) * (1 - S * lambda(1,4,3) * prob(1,4,3,3) - S * lambda(1,4,4) * prob(1,4,4,3)) *  mu_eff(1,3,2)+1/S * prob(1,4,1,4) * (1 - S * lambda(1,4,3) * prob(1,4,3,4) - S * lambda(1,4,4) * prob(1,4,4,4)) *  mu_eff(2,4,5);
y(1,4,2) = -mu(1,4,2) + 1;
y(1,4,3) = -mu(1,4,3) + 1/S * prob(1,4,3,1) * (1 - S * lambda(1,4,1) * prob(1,4,1,1) - S * lambda(1,4,4) * prob(1,4,4,1)) * 1+1/S * prob(1,4,3,4) * (1 - S * lambda(1,4,1) * prob(1,4,1,4) - S * lambda(1,4,4) * prob(1,4,4,4)) *  mu_eff(2,4,5);
y(1,4,4) = -mu(1,4,4) + 1/S * prob(1,4,4,1) * (1 - S * lambda(1,4,1) * prob(1,4,1,1) - S * lambda(1,4,3) * prob(1,4,3,1)) * 1+1/S * prob(1,4,4,3) * (1 - S * lambda(1,4,1) * prob(1,4,1,3) - S * lambda(1,4,3) * prob(1,4,3,3)) *  mu_eff(1,3,2);
y(1,4,5) = -mu(1,4,5) + 1;
y(2,1,1) = -mu(2,1,1) + 1/S * prob(2,1,1,2) * (1 - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,4) * prob(2,1,4,2) - S * lambda(2,1,5) * prob(2,1,5,2)) *  mu_eff(2,2,3)+1/S * prob(2,1,1,4) * (1 - S * lambda(2,1,2) * prob(2,1,2,4) - S * lambda(2,1,4) * prob(2,1,4,4) - S * lambda(2,1,5) * prob(2,1,5,4)) *  mu_eff(3,1,5)+1/S * prob(2,1,1,5) * (1 - S * lambda(2,1,2) * prob(2,1,2,5) - S * lambda(2,1,4) * prob(2,1,4,5) - S * lambda(2,1,5) * prob(2,1,5,5)) *  mu_eff(1,1,4);
y(2,1,2) = -mu(2,1,2) + 1/S * prob(2,1,2,1) * (1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,4) * prob(2,1,4,1) - S * lambda(2,1,5) * prob(2,1,5,1)) * 1+1/S * prob(2,1,2,4) * (1 - S * lambda(2,1,1) * prob(2,1,1,4) - S * lambda(2,1,4) * prob(2,1,4,4) - S * lambda(2,1,5) * prob(2,1,5,4)) *  mu_eff(3,1,5)+1/S * prob(2,1,2,5) * (1 - S * lambda(2,1,1) * prob(2,1,1,5) - S * lambda(2,1,4) * prob(2,1,4,5) - S * lambda(2,1,5) * prob(2,1,5,5)) *  mu_eff(1,1,4);
y(2,1,3) = -mu(2,1,3) + 1;
y(2,1,4) = -mu(2,1,4) + 1/S * prob(2,1,4,1) * (1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,2) * prob(2,1,2,1) - S * lambda(2,1,5) * prob(2,1,5,1)) * 1+1/S * prob(2,1,4,2) * (1 - S * lambda(2,1,1) * prob(2,1,1,2) - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,5) * prob(2,1,5,2)) *  mu_eff(2,2,3)+1/S * prob(2,1,4,5) * (1 - S * lambda(2,1,1) * prob(2,1,1,5) - S * lambda(2,1,2) * prob(2,1,2,5) - S * lambda(2,1,5) * prob(2,1,5,5)) *  mu_eff(1,1,4);
y(2,1,5) = -mu(2,1,5) + 1/S * prob(2,1,5,1) * (1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,2) * prob(2,1,2,1) - S * lambda(2,1,4) * prob(2,1,4,1)) * 1+1/S * prob(2,1,5,2) * (1 - S * lambda(2,1,1) * prob(2,1,1,2) - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,4) * prob(2,1,4,2)) *  mu_eff(2,2,3)+1/S * prob(2,1,5,4) * (1 - S * lambda(2,1,1) * prob(2,1,1,4) - S * lambda(2,1,2) * prob(2,1,2,4) - S * lambda(2,1,4) * prob(2,1,4,4)) *  mu_eff(3,1,5);
y(2,2,1) = -mu(2,2,1) + 1/S * prob(2,2,1,2) * (1 - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,4) * prob(2,2,4,2) - S * lambda(2,2,5) * prob(2,2,5,2)) *  mu_eff(2,3,3)+1/S * prob(2,2,1,3) * (1 - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3) - S * lambda(2,2,5) * prob(2,2,5,3)) *  mu_eff(2,1,2)+1/S * prob(2,2,1,4) * (1 - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) *  mu_eff(3,2,5)+1/S * prob(2,2,1,5) * (1 - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) *  mu_eff(1,2,4);
y(2,2,2) = -mu(2,2,2) + 1/S * prob(2,2,2,1) * (1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,4) * prob(2,2,4,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1+1/S * prob(2,2,2,3) * (1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3) - S * lambda(2,2,5) * prob(2,2,5,3)) *  mu_eff(2,1,2)+1/S * prob(2,2,2,4) * (1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) *  mu_eff(3,2,5)+1/S * prob(2,2,2,5) * (1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) *  mu_eff(1,2,4);
y(2,2,3) = -mu(2,2,3) + 1/S * prob(2,2,3,1) * (1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,4) * prob(2,2,4,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1+1/S * prob(2,2,3,2) * (1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,4) * prob(2,2,4,2) - S * lambda(2,2,5) * prob(2,2,5,2)) *  mu_eff(2,3,3)+1/S * prob(2,2,3,4) * (1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) *  mu_eff(3,2,5)+1/S * prob(2,2,3,5) * (1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) *  mu_eff(1,2,4);
y(2,2,4) = -mu(2,2,4) + 1/S * prob(2,2,4,1) * (1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1+1/S * prob(2,2,4,2) * (1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,5) * prob(2,2,5,2)) *  mu_eff(2,3,3)+1/S * prob(2,2,4,3) * (1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,5) * prob(2,2,5,3)) *  mu_eff(2,1,2)+1/S * prob(2,2,4,5) * (1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,5) * prob(2,2,5,5)) *  mu_eff(1,2,4);
y(2,2,5) = -mu(2,2,5) + 1/S * prob(2,2,5,1) * (1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,4) * prob(2,2,4,1)) * 1+1/S * prob(2,2,5,2) * (1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,4) * prob(2,2,4,2)) *  mu_eff(2,3,3)+1/S * prob(2,2,5,3) * (1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3)) *  mu_eff(2,1,2)+1/S * prob(2,2,5,4) * (1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4)) *  mu_eff(3,2,5);
y(2,3,1) = -mu(2,3,1) + 1/S * prob(2,3,1,2) * (1 - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,4) * prob(2,3,4,2) - S * lambda(2,3,5) * prob(2,3,5,2)) *  mu_eff(2,4,3)+1/S * prob(2,3,1,3) * (1 - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3) - S * lambda(2,3,5) * prob(2,3,5,3)) *  mu_eff(2,2,2)+1/S * prob(2,3,1,4) * (1 - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) *  mu_eff(3,3,5)+1/S * prob(2,3,1,5) * (1 - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) *  mu_eff(1,3,4);
y(2,3,2) = -mu(2,3,2) + 1/S * prob(2,3,2,1) * (1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,4) * prob(2,3,4,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1+1/S * prob(2,3,2,3) * (1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3) - S * lambda(2,3,5) * prob(2,3,5,3)) *  mu_eff(2,2,2)+1/S * prob(2,3,2,4) * (1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) *  mu_eff(3,3,5)+1/S * prob(2,3,2,5) * (1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) *  mu_eff(1,3,4);
y(2,3,3) = -mu(2,3,3) + 1/S * prob(2,3,3,1) * (1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,4) * prob(2,3,4,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1+1/S * prob(2,3,3,2) * (1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,4) * prob(2,3,4,2) - S * lambda(2,3,5) * prob(2,3,5,2)) *  mu_eff(2,4,3)+1/S * prob(2,3,3,4) * (1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) *  mu_eff(3,3,5)+1/S * prob(2,3,3,5) * (1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) *  mu_eff(1,3,4);
y(2,3,4) = -mu(2,3,4) + 1/S * prob(2,3,4,1) * (1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1+1/S * prob(2,3,4,2) * (1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,5) * prob(2,3,5,2)) *  mu_eff(2,4,3)+1/S * prob(2,3,4,3) * (1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,5) * prob(2,3,5,3)) *  mu_eff(2,2,2)+1/S * prob(2,3,4,5) * (1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,5) * prob(2,3,5,5)) *  mu_eff(1,3,4);
y(2,3,5) = -mu(2,3,5) + 1/S * prob(2,3,5,1) * (1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,4) * prob(2,3,4,1)) * 1+1/S * prob(2,3,5,2) * (1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,4) * prob(2,3,4,2)) *  mu_eff(2,4,3)+1/S * prob(2,3,5,3) * (1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3)) *  mu_eff(2,2,2)+1/S * prob(2,3,5,4) * (1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4)) *  mu_eff(3,3,5);
y(2,4,1) = -mu(2,4,1) + 1/S * prob(2,4,1,3) * (1 - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,4) * prob(2,4,4,3) - S * lambda(2,4,5) * prob(2,4,5,3)) *  mu_eff(2,3,2)+1/S * prob(2,4,1,4) * (1 - S * lambda(2,4,3) * prob(2,4,3,4) - S * lambda(2,4,4) * prob(2,4,4,4) - S * lambda(2,4,5) * prob(2,4,5,4)) *  mu_eff(3,4,5)+1/S * prob(2,4,1,5) * (1 - S * lambda(2,4,3) * prob(2,4,3,5) - S * lambda(2,4,4) * prob(2,4,4,5) - S * lambda(2,4,5) * prob(2,4,5,5)) *  mu_eff(1,4,4);
y(2,4,2) = -mu(2,4,2) + 1;
y(2,4,3) = -mu(2,4,3) + 1/S * prob(2,4,3,1) * (1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,4) * prob(2,4,4,1) - S * lambda(2,4,5) * prob(2,4,5,1)) * 1+1/S * prob(2,4,3,4) * (1 - S * lambda(2,4,1) * prob(2,4,1,4) - S * lambda(2,4,4) * prob(2,4,4,4) - S * lambda(2,4,5) * prob(2,4,5,4)) *  mu_eff(3,4,5)+1/S * prob(2,4,3,5) * (1 - S * lambda(2,4,1) * prob(2,4,1,5) - S * lambda(2,4,4) * prob(2,4,4,5) - S * lambda(2,4,5) * prob(2,4,5,5)) *  mu_eff(1,4,4);
y(2,4,4) = -mu(2,4,4) + 1/S * prob(2,4,4,1) * (1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,3) * prob(2,4,3,1) - S * lambda(2,4,5) * prob(2,4,5,1)) * 1+1/S * prob(2,4,4,3) * (1 - S * lambda(2,4,1) * prob(2,4,1,3) - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,5) * prob(2,4,5,3)) *  mu_eff(2,3,2)+1/S * prob(2,4,4,5) * (1 - S * lambda(2,4,1) * prob(2,4,1,5) - S * lambda(2,4,3) * prob(2,4,3,5) - S * lambda(2,4,5) * prob(2,4,5,5)) *  mu_eff(1,4,4);
y(2,4,5) = -mu(2,4,5) + 1/S * prob(2,4,5,1) * (1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,3) * prob(2,4,3,1) - S * lambda(2,4,4) * prob(2,4,4,1)) * 1+1/S * prob(2,4,5,3) * (1 - S * lambda(2,4,1) * prob(2,4,1,3) - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,4) * prob(2,4,4,3)) *  mu_eff(2,3,2)+1/S * prob(2,4,5,4) * (1 - S * lambda(2,4,1) * prob(2,4,1,4) - S * lambda(2,4,3) * prob(2,4,3,4) - S * lambda(2,4,4) * prob(2,4,4,4)) *  mu_eff(3,4,5);
y(3,1,1) = -mu(3,1,1) + 1/S * prob(3,1,1,2) * (1 - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,4) * prob(3,1,4,2) - S * lambda(3,1,5) * prob(3,1,5,2)) *  mu_eff(3,2,3)+1/S * prob(3,1,1,4) * (1 - S * lambda(3,1,2) * prob(3,1,2,4) - S * lambda(3,1,4) * prob(3,1,4,4) - S * lambda(3,1,5) * prob(3,1,5,4)) *  mu_eff(4,1,5)+1/S * prob(3,1,1,5) * (1 - S * lambda(3,1,2) * prob(3,1,2,5) - S * lambda(3,1,4) * prob(3,1,4,5) - S * lambda(3,1,5) * prob(3,1,5,5)) *  mu_eff(2,1,4);
y(3,1,2) = -mu(3,1,2) + 1/S * prob(3,1,2,1) * (1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,4) * prob(3,1,4,1) - S * lambda(3,1,5) * prob(3,1,5,1)) * 1+1/S * prob(3,1,2,4) * (1 - S * lambda(3,1,1) * prob(3,1,1,4) - S * lambda(3,1,4) * prob(3,1,4,4) - S * lambda(3,1,5) * prob(3,1,5,4)) *  mu_eff(4,1,5)+1/S * prob(3,1,2,5) * (1 - S * lambda(3,1,1) * prob(3,1,1,5) - S * lambda(3,1,4) * prob(3,1,4,5) - S * lambda(3,1,5) * prob(3,1,5,5)) *  mu_eff(2,1,4);
y(3,1,3) = -mu(3,1,3) + 1;
y(3,1,4) = -mu(3,1,4) + 1/S * prob(3,1,4,1) * (1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,2) * prob(3,1,2,1) - S * lambda(3,1,5) * prob(3,1,5,1)) * 1+1/S * prob(3,1,4,2) * (1 - S * lambda(3,1,1) * prob(3,1,1,2) - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,5) * prob(3,1,5,2)) *  mu_eff(3,2,3)+1/S * prob(3,1,4,5) * (1 - S * lambda(3,1,1) * prob(3,1,1,5) - S * lambda(3,1,2) * prob(3,1,2,5) - S * lambda(3,1,5) * prob(3,1,5,5)) *  mu_eff(2,1,4);
y(3,1,5) = -mu(3,1,5) + 1/S * prob(3,1,5,1) * (1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,2) * prob(3,1,2,1) - S * lambda(3,1,4) * prob(3,1,4,1)) * 1+1/S * prob(3,1,5,2) * (1 - S * lambda(3,1,1) * prob(3,1,1,2) - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,4) * prob(3,1,4,2)) *  mu_eff(3,2,3)+1/S * prob(3,1,5,4) * (1 - S * lambda(3,1,1) * prob(3,1,1,4) - S * lambda(3,1,2) * prob(3,1,2,4) - S * lambda(3,1,4) * prob(3,1,4,4)) *  mu_eff(4,1,5);
y(3,2,1) = -mu(3,2,1) + 1/S * prob(3,2,1,2) * (1 - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,4) * prob(3,2,4,2) - S * lambda(3,2,5) * prob(3,2,5,2)) *  mu_eff(3,3,3)+1/S * prob(3,2,1,3) * (1 - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3) - S * lambda(3,2,5) * prob(3,2,5,3)) *  mu_eff(3,1,2)+1/S * prob(3,2,1,4) * (1 - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) *  mu_eff(4,2,5)+1/S * prob(3,2,1,5) * (1 - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) *  mu_eff(2,2,4);
y(3,2,2) = -mu(3,2,2) + 1/S * prob(3,2,2,1) * (1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,4) * prob(3,2,4,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1+1/S * prob(3,2,2,3) * (1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3) - S * lambda(3,2,5) * prob(3,2,5,3)) *  mu_eff(3,1,2)+1/S * prob(3,2,2,4) * (1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) *  mu_eff(4,2,5)+1/S * prob(3,2,2,5) * (1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) *  mu_eff(2,2,4);
y(3,2,3) = -mu(3,2,3) + 1/S * prob(3,2,3,1) * (1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,4) * prob(3,2,4,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1+1/S * prob(3,2,3,2) * (1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,4) * prob(3,2,4,2) - S * lambda(3,2,5) * prob(3,2,5,2)) *  mu_eff(3,3,3)+1/S * prob(3,2,3,4) * (1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) *  mu_eff(4,2,5)+1/S * prob(3,2,3,5) * (1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) *  mu_eff(2,2,4);
y(3,2,4) = -mu(3,2,4) + 1/S * prob(3,2,4,1) * (1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1+1/S * prob(3,2,4,2) * (1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,5) * prob(3,2,5,2)) *  mu_eff(3,3,3)+1/S * prob(3,2,4,3) * (1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,5) * prob(3,2,5,3)) *  mu_eff(3,1,2)+1/S * prob(3,2,4,5) * (1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,5) * prob(3,2,5,5)) *  mu_eff(2,2,4);
y(3,2,5) = -mu(3,2,5) + 1/S * prob(3,2,5,1) * (1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,4) * prob(3,2,4,1)) * 1+1/S * prob(3,2,5,2) * (1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,4) * prob(3,2,4,2)) *  mu_eff(3,3,3)+1/S * prob(3,2,5,3) * (1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3)) *  mu_eff(3,1,2)+1/S * prob(3,2,5,4) * (1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4)) *  mu_eff(4,2,5);
y(3,3,1) = -mu(3,3,1) + 1/S * prob(3,3,1,2) * (1 - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,4) * prob(3,3,4,2) - S * lambda(3,3,5) * prob(3,3,5,2)) *  mu_eff(3,4,3)+1/S * prob(3,3,1,3) * (1 - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3) - S * lambda(3,3,5) * prob(3,3,5,3)) *  mu_eff(3,2,2)+1/S * prob(3,3,1,4) * (1 - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) *  mu_eff(4,3,5)+1/S * prob(3,3,1,5) * (1 - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) *  mu_eff(2,3,4);
y(3,3,2) = -mu(3,3,2) + 1/S * prob(3,3,2,1) * (1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,4) * prob(3,3,4,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1+1/S * prob(3,3,2,3) * (1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3) - S * lambda(3,3,5) * prob(3,3,5,3)) *  mu_eff(3,2,2)+1/S * prob(3,3,2,4) * (1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) *  mu_eff(4,3,5)+1/S * prob(3,3,2,5) * (1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) *  mu_eff(2,3,4);
y(3,3,3) = -mu(3,3,3) + 1/S * prob(3,3,3,1) * (1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,4) * prob(3,3,4,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1+1/S * prob(3,3,3,2) * (1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,4) * prob(3,3,4,2) - S * lambda(3,3,5) * prob(3,3,5,2)) *  mu_eff(3,4,3)+1/S * prob(3,3,3,4) * (1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) *  mu_eff(4,3,5)+1/S * prob(3,3,3,5) * (1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) *  mu_eff(2,3,4);
y(3,3,4) = -mu(3,3,4) + 1/S * prob(3,3,4,1) * (1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1+1/S * prob(3,3,4,2) * (1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,5) * prob(3,3,5,2)) *  mu_eff(3,4,3)+1/S * prob(3,3,4,3) * (1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,5) * prob(3,3,5,3)) *  mu_eff(3,2,2)+1/S * prob(3,3,4,5) * (1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,5) * prob(3,3,5,5)) *  mu_eff(2,3,4);
y(3,3,5) = -mu(3,3,5) + 1/S * prob(3,3,5,1) * (1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,4) * prob(3,3,4,1)) * 1+1/S * prob(3,3,5,2) * (1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,4) * prob(3,3,4,2)) *  mu_eff(3,4,3)+1/S * prob(3,3,5,3) * (1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3)) *  mu_eff(3,2,2)+1/S * prob(3,3,5,4) * (1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4)) *  mu_eff(4,3,5);
y(3,4,1) = -mu(3,4,1) + 1/S * prob(3,4,1,3) * (1 - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,4) * prob(3,4,4,3) - S * lambda(3,4,5) * prob(3,4,5,3)) *  mu_eff(3,3,2)+1/S * prob(3,4,1,4) * (1 - S * lambda(3,4,3) * prob(3,4,3,4) - S * lambda(3,4,4) * prob(3,4,4,4) - S * lambda(3,4,5) * prob(3,4,5,4)) *  mu_eff(4,4,5)+1/S * prob(3,4,1,5) * (1 - S * lambda(3,4,3) * prob(3,4,3,5) - S * lambda(3,4,4) * prob(3,4,4,5) - S * lambda(3,4,5) * prob(3,4,5,5)) *  mu_eff(2,4,4);
y(3,4,2) = -mu(3,4,2) + 1;
y(3,4,3) = -mu(3,4,3) + 1/S * prob(3,4,3,1) * (1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,4) * prob(3,4,4,1) - S * lambda(3,4,5) * prob(3,4,5,1)) * 1+1/S * prob(3,4,3,4) * (1 - S * lambda(3,4,1) * prob(3,4,1,4) - S * lambda(3,4,4) * prob(3,4,4,4) - S * lambda(3,4,5) * prob(3,4,5,4)) *  mu_eff(4,4,5)+1/S * prob(3,4,3,5) * (1 - S * lambda(3,4,1) * prob(3,4,1,5) - S * lambda(3,4,4) * prob(3,4,4,5) - S * lambda(3,4,5) * prob(3,4,5,5)) *  mu_eff(2,4,4);
y(3,4,4) = -mu(3,4,4) + 1/S * prob(3,4,4,1) * (1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,3) * prob(3,4,3,1) - S * lambda(3,4,5) * prob(3,4,5,1)) * 1+1/S * prob(3,4,4,3) * (1 - S * lambda(3,4,1) * prob(3,4,1,3) - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,5) * prob(3,4,5,3)) *  mu_eff(3,3,2)+1/S * prob(3,4,4,5) * (1 - S * lambda(3,4,1) * prob(3,4,1,5) - S * lambda(3,4,3) * prob(3,4,3,5) - S * lambda(3,4,5) * prob(3,4,5,5)) *  mu_eff(2,4,4);
y(3,4,5) = -mu(3,4,5) + 1/S * prob(3,4,5,1) * (1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,3) * prob(3,4,3,1) - S * lambda(3,4,4) * prob(3,4,4,1)) * 1+1/S * prob(3,4,5,3) * (1 - S * lambda(3,4,1) * prob(3,4,1,3) - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,4) * prob(3,4,4,3)) *  mu_eff(3,3,2)+1/S * prob(3,4,5,4) * (1 - S * lambda(3,4,1) * prob(3,4,1,4) - S * lambda(3,4,3) * prob(3,4,3,4) - S * lambda(3,4,4) * prob(3,4,4,4)) *  mu_eff(4,4,5);
y(4,1,1) = -mu(4,1,1) + 1/S * prob(4,1,1,2) * (1 - S * lambda(4,1,2) * prob(4,1,2,2) - S * lambda(4,1,5) * prob(4,1,5,2)) *  mu_eff(4,2,3)+1/S * prob(4,1,1,5) * (1 - S * lambda(4,1,2) * prob(4,1,2,5) - S * lambda(4,1,5) * prob(4,1,5,5)) *  mu_eff(3,1,4);
y(4,1,2) = -mu(4,1,2) + 1/S * prob(4,1,2,1) * (1 - S * lambda(4,1,1) * prob(4,1,1,1) - S * lambda(4,1,5) * prob(4,1,5,1)) * 1+1/S * prob(4,1,2,5) * (1 - S * lambda(4,1,1) * prob(4,1,1,5) - S * lambda(4,1,5) * prob(4,1,5,5)) *  mu_eff(3,1,4);
y(4,1,3) = -mu(4,1,3) + 1;
y(4,1,4) = -mu(4,1,4) + 1;
y(4,1,5) = -mu(4,1,5) + 1/S * prob(4,1,5,1) * (1 - S * lambda(4,1,1) * prob(4,1,1,1) - S * lambda(4,1,2) * prob(4,1,2,1)) * 1+1/S * prob(4,1,5,2) * (1 - S * lambda(4,1,1) * prob(4,1,1,2) - S * lambda(4,1,2) * prob(4,1,2,2)) *  mu_eff(4,2,3);
y(4,2,1) = -mu(4,2,1) + 1/S * prob(4,2,1,2) * (1 - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,3) * prob(4,2,3,2) - S * lambda(4,2,5) * prob(4,2,5,2)) *  mu_eff(4,3,3)+1/S * prob(4,2,1,3) * (1 - S * lambda(4,2,2) * prob(4,2,2,3) - S * lambda(4,2,3) * prob(4,2,3,3) - S * lambda(4,2,5) * prob(4,2,5,3)) *  mu_eff(4,1,2)+1/S * prob(4,2,1,5) * (1 - S * lambda(4,2,2) * prob(4,2,2,5) - S * lambda(4,2,3) * prob(4,2,3,5) - S * lambda(4,2,5) * prob(4,2,5,5)) *  mu_eff(3,2,4);
y(4,2,2) = -mu(4,2,2) + 1/S * prob(4,2,2,1) * (1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,3) * prob(4,2,3,1) - S * lambda(4,2,5) * prob(4,2,5,1)) * 1+1/S * prob(4,2,2,3) * (1 - S * lambda(4,2,1) * prob(4,2,1,3) - S * lambda(4,2,3) * prob(4,2,3,3) - S * lambda(4,2,5) * prob(4,2,5,3)) *  mu_eff(4,1,2)+1/S * prob(4,2,2,5) * (1 - S * lambda(4,2,1) * prob(4,2,1,5) - S * lambda(4,2,3) * prob(4,2,3,5) - S * lambda(4,2,5) * prob(4,2,5,5)) *  mu_eff(3,2,4);
y(4,2,3) = -mu(4,2,3) + 1/S * prob(4,2,3,1) * (1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,2) * prob(4,2,2,1) - S * lambda(4,2,5) * prob(4,2,5,1)) * 1+1/S * prob(4,2,3,2) * (1 - S * lambda(4,2,1) * prob(4,2,1,2) - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,5) * prob(4,2,5,2)) *  mu_eff(4,3,3)+1/S * prob(4,2,3,5) * (1 - S * lambda(4,2,1) * prob(4,2,1,5) - S * lambda(4,2,2) * prob(4,2,2,5) - S * lambda(4,2,5) * prob(4,2,5,5)) *  mu_eff(3,2,4);
y(4,2,4) = -mu(4,2,4) + 1;
y(4,2,5) = -mu(4,2,5) + 1/S * prob(4,2,5,1) * (1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,2) * prob(4,2,2,1) - S * lambda(4,2,3) * prob(4,2,3,1)) * 1+1/S * prob(4,2,5,2) * (1 - S * lambda(4,2,1) * prob(4,2,1,2) - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,3) * prob(4,2,3,2)) *  mu_eff(4,3,3)+1/S * prob(4,2,5,3) * (1 - S * lambda(4,2,1) * prob(4,2,1,3) - S * lambda(4,2,2) * prob(4,2,2,3) - S * lambda(4,2,3) * prob(4,2,3,3)) *  mu_eff(4,1,2);
y(4,3,1) = -mu(4,3,1) + 1/S * prob(4,3,1,2) * (1 - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,3) * prob(4,3,3,2) - S * lambda(4,3,5) * prob(4,3,5,2)) *  mu_eff(4,4,3)+1/S * prob(4,3,1,3) * (1 - S * lambda(4,3,2) * prob(4,3,2,3) - S * lambda(4,3,3) * prob(4,3,3,3) - S * lambda(4,3,5) * prob(4,3,5,3)) *  mu_eff(4,2,2)+1/S * prob(4,3,1,5) * (1 - S * lambda(4,3,2) * prob(4,3,2,5) - S * lambda(4,3,3) * prob(4,3,3,5) - S * lambda(4,3,5) * prob(4,3,5,5)) *  mu_eff(3,3,4);
y(4,3,2) = -mu(4,3,2) + 1/S * prob(4,3,2,1) * (1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,3) * prob(4,3,3,1) - S * lambda(4,3,5) * prob(4,3,5,1)) * 1+1/S * prob(4,3,2,3) * (1 - S * lambda(4,3,1) * prob(4,3,1,3) - S * lambda(4,3,3) * prob(4,3,3,3) - S * lambda(4,3,5) * prob(4,3,5,3)) *  mu_eff(4,2,2)+1/S * prob(4,3,2,5) * (1 - S * lambda(4,3,1) * prob(4,3,1,5) - S * lambda(4,3,3) * prob(4,3,3,5) - S * lambda(4,3,5) * prob(4,3,5,5)) *  mu_eff(3,3,4);
y(4,3,3) = -mu(4,3,3) + 1/S * prob(4,3,3,1) * (1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,2) * prob(4,3,2,1) - S * lambda(4,3,5) * prob(4,3,5,1)) * 1+1/S * prob(4,3,3,2) * (1 - S * lambda(4,3,1) * prob(4,3,1,2) - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,5) * prob(4,3,5,2)) *  mu_eff(4,4,3)+1/S * prob(4,3,3,5) * (1 - S * lambda(4,3,1) * prob(4,3,1,5) - S * lambda(4,3,2) * prob(4,3,2,5) - S * lambda(4,3,5) * prob(4,3,5,5)) *  mu_eff(3,3,4);
y(4,3,4) = -mu(4,3,4) + 1;
y(4,3,5) = -mu(4,3,5) + 1/S * prob(4,3,5,1) * (1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,2) * prob(4,3,2,1) - S * lambda(4,3,3) * prob(4,3,3,1)) * 1+1/S * prob(4,3,5,2) * (1 - S * lambda(4,3,1) * prob(4,3,1,2) - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,3) * prob(4,3,3,2)) *  mu_eff(4,4,3)+1/S * prob(4,3,5,3) * (1 - S * lambda(4,3,1) * prob(4,3,1,3) - S * lambda(4,3,2) * prob(4,3,2,3) - S * lambda(4,3,3) * prob(4,3,3,3)) *  mu_eff(4,2,2);
y(4,4,1) = -mu(4,4,1) + 1/S * prob(4,4,1,3) * (1 - S * lambda(4,4,3) * prob(4,4,3,3) - S * lambda(4,4,5) * prob(4,4,5,3)) *  mu_eff(4,3,2)+1/S * prob(4,4,1,5) * (1 - S * lambda(4,4,3) * prob(4,4,3,5) - S * lambda(4,4,5) * prob(4,4,5,5)) *  mu_eff(3,4,4);
y(4,4,2) = -mu(4,4,2) + 1;
y(4,4,3) = -mu(4,4,3) + 1/S * prob(4,4,3,1) * (1 - S * lambda(4,4,1) * prob(4,4,1,1) - S * lambda(4,4,5) * prob(4,4,5,1)) * 1+1/S * prob(4,4,3,5) * (1 - S * lambda(4,4,1) * prob(4,4,1,5) - S * lambda(4,4,5) * prob(4,4,5,5)) *  mu_eff(3,4,4);
y(4,4,4) = -mu(4,4,4) + 1;
y(4,4,5) = -mu(4,4,5) + 1/S * prob(4,4,5,1) * (1 - S * lambda(4,4,1) * prob(4,4,1,1) - S * lambda(4,4,3) * prob(4,4,3,1)) * 1+1/S * prob(4,4,5,3) * (1 - S * lambda(4,4,1) * prob(4,4,1,3) - S * lambda(4,4,3) * prob(4,4,3,3)) *  mu_eff(4,3,2);


%% waiting time in queue calculation: 
ES2(1,1,1) = prob(1,1,1,2) * 2 / ((1 - S * lambda(1,1,2) * prob(1,1,2,2) - S * lambda(1,1,4) * prob(1,1,4,2)) * mu_eff(1,2,3)/S)^2+prob(1,1,1,4) * 2 / ((1 - S * lambda(1,1,2) * prob(1,1,2,4) - S * lambda(1,1,4) * prob(1,1,4,4)) * mu_eff(2,1,5)/S)^2;
W(1,1,1) = lambda(1,1,1) * ES2 (1,1,1) / 2 / (1-ro(1,1,1)) + prob(1,1,1,2) / ((1 - S * lambda(1,1,2) * prob(1,1,2,2) - S * lambda(1,1,4) * prob(1,1,4,2)) * mu_eff(1,2,3)/S) + prob(1,1,1,4) / ((1 - S * lambda(1,1,2) * prob(1,1,2,4) - S * lambda(1,1,4) * prob(1,1,4,4)) * mu_eff(2,1,5)/S);
ES2(1,1,2) = prob(1,1,2,1) * 2 / ((1 - S * lambda(1,1,1) * prob(1,1,1,1) - S * lambda(1,1,4) * prob(1,1,4,1)) * 1/S)^2+prob(1,1,2,4) * 2 / ((1 - S * lambda(1,1,1) * prob(1,1,1,4) - S * lambda(1,1,4) * prob(1,1,4,4)) * mu_eff(2,1,5)/S)^2;
W(1,1,2) = lambda(1,1,2) * ES2 (1,1,2) / 2 / (1-ro(1,1,2)) + prob(1,1,2,1) / ((1 - S * lambda(1,1,1) * prob(1,1,1,1) - S * lambda(1,1,4) * prob(1,1,4,1)) * 1/S) + prob(1,1,2,4) / ((1 - S * lambda(1,1,1) * prob(1,1,1,4) - S * lambda(1,1,4) * prob(1,1,4,4)) * mu_eff(2,1,5)/S);
ES2(1,1,3) = 1;
W(1,1,3) = 0;
ES2(1,1,4) = prob(1,1,4,1) * 2 / ((1 - S * lambda(1,1,1) * prob(1,1,1,1) - S * lambda(1,1,2) * prob(1,1,2,1)) * 1/S)^2+prob(1,1,4,2) * 2 / ((1 - S * lambda(1,1,1) * prob(1,1,1,2) - S * lambda(1,1,2) * prob(1,1,2,2)) * mu_eff(1,2,3)/S)^2;
W(1,1,4) = lambda(1,1,4) * ES2 (1,1,4) / 2 / (1-ro(1,1,4)) + prob(1,1,4,1) / ((1 - S * lambda(1,1,1) * prob(1,1,1,1) - S * lambda(1,1,2) * prob(1,1,2,1)) * 1/S) + prob(1,1,4,2) / ((1 - S * lambda(1,1,1) * prob(1,1,1,2) - S * lambda(1,1,2) * prob(1,1,2,2)) * mu_eff(1,2,3)/S);
ES2(1,1,5) = 1;
W(1,1,5) = 0;
ES2(1,2,1) = prob(1,2,1,2) * 2 / ((1 - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,3) * prob(1,2,3,2) - S * lambda(1,2,4) * prob(1,2,4,2)) * mu_eff(1,3,3)/S)^2+prob(1,2,1,3) * 2 / ((1 - S * lambda(1,2,2) * prob(1,2,2,3) - S * lambda(1,2,3) * prob(1,2,3,3) - S * lambda(1,2,4) * prob(1,2,4,3)) * mu_eff(1,1,2)/S)^2+prob(1,2,1,4) * 2 / ((1 - S * lambda(1,2,2) * prob(1,2,2,4) - S * lambda(1,2,3) * prob(1,2,3,4) - S * lambda(1,2,4) * prob(1,2,4,4)) * mu_eff(2,2,5)/S)^2;
W(1,2,1) = lambda(1,2,1) * ES2 (1,2,1) / 2 / (1-ro(1,2,1)) + prob(1,2,1,2) / ((1 - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,3) * prob(1,2,3,2) - S * lambda(1,2,4) * prob(1,2,4,2)) * mu_eff(1,3,3)/S) + prob(1,2,1,3) / ((1 - S * lambda(1,2,2) * prob(1,2,2,3) - S * lambda(1,2,3) * prob(1,2,3,3) - S * lambda(1,2,4) * prob(1,2,4,3)) * mu_eff(1,1,2)/S) + prob(1,2,1,4) / ((1 - S * lambda(1,2,2) * prob(1,2,2,4) - S * lambda(1,2,3) * prob(1,2,3,4) - S * lambda(1,2,4) * prob(1,2,4,4)) * mu_eff(2,2,5)/S);
ES2(1,2,2) = prob(1,2,2,1) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,3) * prob(1,2,3,1) - S * lambda(1,2,4) * prob(1,2,4,1)) * 1/S)^2+prob(1,2,2,3) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,3) - S * lambda(1,2,3) * prob(1,2,3,3) - S * lambda(1,2,4) * prob(1,2,4,3)) * mu_eff(1,1,2)/S)^2+prob(1,2,2,4) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,4) - S * lambda(1,2,3) * prob(1,2,3,4) - S * lambda(1,2,4) * prob(1,2,4,4)) * mu_eff(2,2,5)/S)^2;
W(1,2,2) = lambda(1,2,2) * ES2 (1,2,2) / 2 / (1-ro(1,2,2)) + prob(1,2,2,1) / ((1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,3) * prob(1,2,3,1) - S * lambda(1,2,4) * prob(1,2,4,1)) * 1/S) + prob(1,2,2,3) / ((1 - S * lambda(1,2,1) * prob(1,2,1,3) - S * lambda(1,2,3) * prob(1,2,3,3) - S * lambda(1,2,4) * prob(1,2,4,3)) * mu_eff(1,1,2)/S) + prob(1,2,2,4) / ((1 - S * lambda(1,2,1) * prob(1,2,1,4) - S * lambda(1,2,3) * prob(1,2,3,4) - S * lambda(1,2,4) * prob(1,2,4,4)) * mu_eff(2,2,5)/S);
ES2(1,2,3) = prob(1,2,3,1) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,2) * prob(1,2,2,1) - S * lambda(1,2,4) * prob(1,2,4,1)) * 1/S)^2+prob(1,2,3,2) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,2) - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,4) * prob(1,2,4,2)) * mu_eff(1,3,3)/S)^2+prob(1,2,3,4) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,4) - S * lambda(1,2,2) * prob(1,2,2,4) - S * lambda(1,2,4) * prob(1,2,4,4)) * mu_eff(2,2,5)/S)^2;
W(1,2,3) = lambda(1,2,3) * ES2 (1,2,3) / 2 / (1-ro(1,2,3)) + prob(1,2,3,1) / ((1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,2) * prob(1,2,2,1) - S * lambda(1,2,4) * prob(1,2,4,1)) * 1/S) + prob(1,2,3,2) / ((1 - S * lambda(1,2,1) * prob(1,2,1,2) - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,4) * prob(1,2,4,2)) * mu_eff(1,3,3)/S) + prob(1,2,3,4) / ((1 - S * lambda(1,2,1) * prob(1,2,1,4) - S * lambda(1,2,2) * prob(1,2,2,4) - S * lambda(1,2,4) * prob(1,2,4,4)) * mu_eff(2,2,5)/S);
ES2(1,2,4) = prob(1,2,4,1) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,2) * prob(1,2,2,1) - S * lambda(1,2,3) * prob(1,2,3,1)) * 1/S)^2+prob(1,2,4,2) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,2) - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,3) * prob(1,2,3,2)) * mu_eff(1,3,3)/S)^2+prob(1,2,4,3) * 2 / ((1 - S * lambda(1,2,1) * prob(1,2,1,3) - S * lambda(1,2,2) * prob(1,2,2,3) - S * lambda(1,2,3) * prob(1,2,3,3)) * mu_eff(1,1,2)/S)^2;
W(1,2,4) = lambda(1,2,4) * ES2 (1,2,4) / 2 / (1-ro(1,2,4)) + prob(1,2,4,1) / ((1 - S * lambda(1,2,1) * prob(1,2,1,1) - S * lambda(1,2,2) * prob(1,2,2,1) - S * lambda(1,2,3) * prob(1,2,3,1)) * 1/S) + prob(1,2,4,2) / ((1 - S * lambda(1,2,1) * prob(1,2,1,2) - S * lambda(1,2,2) * prob(1,2,2,2) - S * lambda(1,2,3) * prob(1,2,3,2)) * mu_eff(1,3,3)/S) + prob(1,2,4,3) / ((1 - S * lambda(1,2,1) * prob(1,2,1,3) - S * lambda(1,2,2) * prob(1,2,2,3) - S * lambda(1,2,3) * prob(1,2,3,3)) * mu_eff(1,1,2)/S);
ES2(1,2,5) = 1;
W(1,2,5) = 0;
ES2(1,3,1) = prob(1,3,1,2) * 2 / ((1 - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,3) * prob(1,3,3,2) - S * lambda(1,3,4) * prob(1,3,4,2)) * mu_eff(1,4,3)/S)^2+prob(1,3,1,3) * 2 / ((1 - S * lambda(1,3,2) * prob(1,3,2,3) - S * lambda(1,3,3) * prob(1,3,3,3) - S * lambda(1,3,4) * prob(1,3,4,3)) * mu_eff(1,2,2)/S)^2+prob(1,3,1,4) * 2 / ((1 - S * lambda(1,3,2) * prob(1,3,2,4) - S * lambda(1,3,3) * prob(1,3,3,4) - S * lambda(1,3,4) * prob(1,3,4,4)) * mu_eff(2,3,5)/S)^2;
W(1,3,1) = lambda(1,3,1) * ES2 (1,3,1) / 2 / (1-ro(1,3,1)) + prob(1,3,1,2) / ((1 - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,3) * prob(1,3,3,2) - S * lambda(1,3,4) * prob(1,3,4,2)) * mu_eff(1,4,3)/S) + prob(1,3,1,3) / ((1 - S * lambda(1,3,2) * prob(1,3,2,3) - S * lambda(1,3,3) * prob(1,3,3,3) - S * lambda(1,3,4) * prob(1,3,4,3)) * mu_eff(1,2,2)/S) + prob(1,3,1,4) / ((1 - S * lambda(1,3,2) * prob(1,3,2,4) - S * lambda(1,3,3) * prob(1,3,3,4) - S * lambda(1,3,4) * prob(1,3,4,4)) * mu_eff(2,3,5)/S);
ES2(1,3,2) = prob(1,3,2,1) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,3) * prob(1,3,3,1) - S * lambda(1,3,4) * prob(1,3,4,1)) * 1/S)^2+prob(1,3,2,3) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,3) - S * lambda(1,3,3) * prob(1,3,3,3) - S * lambda(1,3,4) * prob(1,3,4,3)) * mu_eff(1,2,2)/S)^2+prob(1,3,2,4) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,4) - S * lambda(1,3,3) * prob(1,3,3,4) - S * lambda(1,3,4) * prob(1,3,4,4)) * mu_eff(2,3,5)/S)^2;
W(1,3,2) = lambda(1,3,2) * ES2 (1,3,2) / 2 / (1-ro(1,3,2)) + prob(1,3,2,1) / ((1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,3) * prob(1,3,3,1) - S * lambda(1,3,4) * prob(1,3,4,1)) * 1/S) + prob(1,3,2,3) / ((1 - S * lambda(1,3,1) * prob(1,3,1,3) - S * lambda(1,3,3) * prob(1,3,3,3) - S * lambda(1,3,4) * prob(1,3,4,3)) * mu_eff(1,2,2)/S) + prob(1,3,2,4) / ((1 - S * lambda(1,3,1) * prob(1,3,1,4) - S * lambda(1,3,3) * prob(1,3,3,4) - S * lambda(1,3,4) * prob(1,3,4,4)) * mu_eff(2,3,5)/S);
ES2(1,3,3) = prob(1,3,3,1) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,2) * prob(1,3,2,1) - S * lambda(1,3,4) * prob(1,3,4,1)) * 1/S)^2+prob(1,3,3,2) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,2) - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,4) * prob(1,3,4,2)) * mu_eff(1,4,3)/S)^2+prob(1,3,3,4) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,4) - S * lambda(1,3,2) * prob(1,3,2,4) - S * lambda(1,3,4) * prob(1,3,4,4)) * mu_eff(2,3,5)/S)^2;
W(1,3,3) = lambda(1,3,3) * ES2 (1,3,3) / 2 / (1-ro(1,3,3)) + prob(1,3,3,1) / ((1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,2) * prob(1,3,2,1) - S * lambda(1,3,4) * prob(1,3,4,1)) * 1/S) + prob(1,3,3,2) / ((1 - S * lambda(1,3,1) * prob(1,3,1,2) - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,4) * prob(1,3,4,2)) * mu_eff(1,4,3)/S) + prob(1,3,3,4) / ((1 - S * lambda(1,3,1) * prob(1,3,1,4) - S * lambda(1,3,2) * prob(1,3,2,4) - S * lambda(1,3,4) * prob(1,3,4,4)) * mu_eff(2,3,5)/S);
ES2(1,3,4) = prob(1,3,4,1) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,2) * prob(1,3,2,1) - S * lambda(1,3,3) * prob(1,3,3,1)) * 1/S)^2+prob(1,3,4,2) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,2) - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,3) * prob(1,3,3,2)) * mu_eff(1,4,3)/S)^2+prob(1,3,4,3) * 2 / ((1 - S * lambda(1,3,1) * prob(1,3,1,3) - S * lambda(1,3,2) * prob(1,3,2,3) - S * lambda(1,3,3) * prob(1,3,3,3)) * mu_eff(1,2,2)/S)^2;
W(1,3,4) = lambda(1,3,4) * ES2 (1,3,4) / 2 / (1-ro(1,3,4)) + prob(1,3,4,1) / ((1 - S * lambda(1,3,1) * prob(1,3,1,1) - S * lambda(1,3,2) * prob(1,3,2,1) - S * lambda(1,3,3) * prob(1,3,3,1)) * 1/S) + prob(1,3,4,2) / ((1 - S * lambda(1,3,1) * prob(1,3,1,2) - S * lambda(1,3,2) * prob(1,3,2,2) - S * lambda(1,3,3) * prob(1,3,3,2)) * mu_eff(1,4,3)/S) + prob(1,3,4,3) / ((1 - S * lambda(1,3,1) * prob(1,3,1,3) - S * lambda(1,3,2) * prob(1,3,2,3) - S * lambda(1,3,3) * prob(1,3,3,3)) * mu_eff(1,2,2)/S);
ES2(1,3,5) = 1;
W(1,3,5) = 0;
ES2(1,4,1) = prob(1,4,1,3) * 2 / ((1 - S * lambda(1,4,3) * prob(1,4,3,3) - S * lambda(1,4,4) * prob(1,4,4,3)) * mu_eff(1,3,2)/S)^2+prob(1,4,1,4) * 2 / ((1 - S * lambda(1,4,3) * prob(1,4,3,4) - S * lambda(1,4,4) * prob(1,4,4,4)) * mu_eff(2,4,5)/S)^2;
W(1,4,1) = lambda(1,4,1) * ES2 (1,4,1) / 2 / (1-ro(1,4,1)) + prob(1,4,1,3) / ((1 - S * lambda(1,4,3) * prob(1,4,3,3) - S * lambda(1,4,4) * prob(1,4,4,3)) * mu_eff(1,3,2)/S) + prob(1,4,1,4) / ((1 - S * lambda(1,4,3) * prob(1,4,3,4) - S * lambda(1,4,4) * prob(1,4,4,4)) * mu_eff(2,4,5)/S);
ES2(1,4,2) = 1;
W(1,4,2) = 0;
ES2(1,4,3) = prob(1,4,3,1) * 2 / ((1 - S * lambda(1,4,1) * prob(1,4,1,1) - S * lambda(1,4,4) * prob(1,4,4,1)) * 1/S)^2+prob(1,4,3,4) * 2 / ((1 - S * lambda(1,4,1) * prob(1,4,1,4) - S * lambda(1,4,4) * prob(1,4,4,4)) * mu_eff(2,4,5)/S)^2;
W(1,4,3) = lambda(1,4,3) * ES2 (1,4,3) / 2 / (1-ro(1,4,3)) + prob(1,4,3,1) / ((1 - S * lambda(1,4,1) * prob(1,4,1,1) - S * lambda(1,4,4) * prob(1,4,4,1)) * 1/S) + prob(1,4,3,4) / ((1 - S * lambda(1,4,1) * prob(1,4,1,4) - S * lambda(1,4,4) * prob(1,4,4,4)) * mu_eff(2,4,5)/S);
ES2(1,4,4) = prob(1,4,4,1) * 2 / ((1 - S * lambda(1,4,1) * prob(1,4,1,1) - S * lambda(1,4,3) * prob(1,4,3,1)) * 1/S)^2+prob(1,4,4,3) * 2 / ((1 - S * lambda(1,4,1) * prob(1,4,1,3) - S * lambda(1,4,3) * prob(1,4,3,3)) * mu_eff(1,3,2)/S)^2;
W(1,4,4) = lambda(1,4,4) * ES2 (1,4,4) / 2 / (1-ro(1,4,4)) + prob(1,4,4,1) / ((1 - S * lambda(1,4,1) * prob(1,4,1,1) - S * lambda(1,4,3) * prob(1,4,3,1)) * 1/S) + prob(1,4,4,3) / ((1 - S * lambda(1,4,1) * prob(1,4,1,3) - S * lambda(1,4,3) * prob(1,4,3,3)) * mu_eff(1,3,2)/S);
ES2(1,4,5) = 1;
W(1,4,5) = 0;
ES2(2,1,1) = prob(2,1,1,2) * 2 / ((1 - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,4) * prob(2,1,4,2) - S * lambda(2,1,5) * prob(2,1,5,2)) * mu_eff(2,2,3)/S)^2+prob(2,1,1,4) * 2 / ((1 - S * lambda(2,1,2) * prob(2,1,2,4) - S * lambda(2,1,4) * prob(2,1,4,4) - S * lambda(2,1,5) * prob(2,1,5,4)) * mu_eff(3,1,5)/S)^2+prob(2,1,1,5) * 2 / ((1 - S * lambda(2,1,2) * prob(2,1,2,5) - S * lambda(2,1,4) * prob(2,1,4,5) - S * lambda(2,1,5) * prob(2,1,5,5)) * mu_eff(1,1,4)/S)^2;
W(2,1,1) = lambda(2,1,1) * ES2 (2,1,1) / 2 / (1-ro(2,1,1)) + prob(2,1,1,2) / ((1 - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,4) * prob(2,1,4,2) - S * lambda(2,1,5) * prob(2,1,5,2)) * mu_eff(2,2,3)/S) + prob(2,1,1,4) / ((1 - S * lambda(2,1,2) * prob(2,1,2,4) - S * lambda(2,1,4) * prob(2,1,4,4) - S * lambda(2,1,5) * prob(2,1,5,4)) * mu_eff(3,1,5)/S) + prob(2,1,1,5) / ((1 - S * lambda(2,1,2) * prob(2,1,2,5) - S * lambda(2,1,4) * prob(2,1,4,5) - S * lambda(2,1,5) * prob(2,1,5,5)) * mu_eff(1,1,4)/S);
ES2(2,1,2) = prob(2,1,2,1) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,4) * prob(2,1,4,1) - S * lambda(2,1,5) * prob(2,1,5,1)) * 1/S)^2+prob(2,1,2,4) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,4) - S * lambda(2,1,4) * prob(2,1,4,4) - S * lambda(2,1,5) * prob(2,1,5,4)) * mu_eff(3,1,5)/S)^2+prob(2,1,2,5) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,5) - S * lambda(2,1,4) * prob(2,1,4,5) - S * lambda(2,1,5) * prob(2,1,5,5)) * mu_eff(1,1,4)/S)^2;
W(2,1,2) = lambda(2,1,2) * ES2 (2,1,2) / 2 / (1-ro(2,1,2)) + prob(2,1,2,1) / ((1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,4) * prob(2,1,4,1) - S * lambda(2,1,5) * prob(2,1,5,1)) * 1/S) + prob(2,1,2,4) / ((1 - S * lambda(2,1,1) * prob(2,1,1,4) - S * lambda(2,1,4) * prob(2,1,4,4) - S * lambda(2,1,5) * prob(2,1,5,4)) * mu_eff(3,1,5)/S) + prob(2,1,2,5) / ((1 - S * lambda(2,1,1) * prob(2,1,1,5) - S * lambda(2,1,4) * prob(2,1,4,5) - S * lambda(2,1,5) * prob(2,1,5,5)) * mu_eff(1,1,4)/S);
ES2(2,1,3) = 1;
W(2,1,3) = 0;
ES2(2,1,4) = prob(2,1,4,1) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,2) * prob(2,1,2,1) - S * lambda(2,1,5) * prob(2,1,5,1)) * 1/S)^2+prob(2,1,4,2) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,2) - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,5) * prob(2,1,5,2)) * mu_eff(2,2,3)/S)^2+prob(2,1,4,5) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,5) - S * lambda(2,1,2) * prob(2,1,2,5) - S * lambda(2,1,5) * prob(2,1,5,5)) * mu_eff(1,1,4)/S)^2;
W(2,1,4) = lambda(2,1,4) * ES2 (2,1,4) / 2 / (1-ro(2,1,4)) + prob(2,1,4,1) / ((1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,2) * prob(2,1,2,1) - S * lambda(2,1,5) * prob(2,1,5,1)) * 1/S) + prob(2,1,4,2) / ((1 - S * lambda(2,1,1) * prob(2,1,1,2) - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,5) * prob(2,1,5,2)) * mu_eff(2,2,3)/S) + prob(2,1,4,5) / ((1 - S * lambda(2,1,1) * prob(2,1,1,5) - S * lambda(2,1,2) * prob(2,1,2,5) - S * lambda(2,1,5) * prob(2,1,5,5)) * mu_eff(1,1,4)/S);
ES2(2,1,5) = prob(2,1,5,1) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,2) * prob(2,1,2,1) - S * lambda(2,1,4) * prob(2,1,4,1)) * 1/S)^2+prob(2,1,5,2) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,2) - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,4) * prob(2,1,4,2)) * mu_eff(2,2,3)/S)^2+prob(2,1,5,4) * 2 / ((1 - S * lambda(2,1,1) * prob(2,1,1,4) - S * lambda(2,1,2) * prob(2,1,2,4) - S * lambda(2,1,4) * prob(2,1,4,4)) * mu_eff(3,1,5)/S)^2;
W(2,1,5) = lambda(2,1,5) * ES2 (2,1,5) / 2 / (1-ro(2,1,5)) + prob(2,1,5,1) / ((1 - S * lambda(2,1,1) * prob(2,1,1,1) - S * lambda(2,1,2) * prob(2,1,2,1) - S * lambda(2,1,4) * prob(2,1,4,1)) * 1/S) + prob(2,1,5,2) / ((1 - S * lambda(2,1,1) * prob(2,1,1,2) - S * lambda(2,1,2) * prob(2,1,2,2) - S * lambda(2,1,4) * prob(2,1,4,2)) * mu_eff(2,2,3)/S) + prob(2,1,5,4) / ((1 - S * lambda(2,1,1) * prob(2,1,1,4) - S * lambda(2,1,2) * prob(2,1,2,4) - S * lambda(2,1,4) * prob(2,1,4,4)) * mu_eff(3,1,5)/S);
ES2(2,2,1) = prob(2,2,1,2) * 2 / ((1 - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,4) * prob(2,2,4,2) - S * lambda(2,2,5) * prob(2,2,5,2)) * mu_eff(2,3,3)/S)^2+prob(2,2,1,3) * 2 / ((1 - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3) - S * lambda(2,2,5) * prob(2,2,5,3)) * mu_eff(2,1,2)/S)^2+prob(2,2,1,4) * 2 / ((1 - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) * mu_eff(3,2,5)/S)^2+prob(2,2,1,5) * 2 / ((1 - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S)^2;
W(2,2,1) = lambda(2,2,1) * ES2 (2,2,1) / 2 / (1-ro(2,2,1)) + prob(2,2,1,2) / ((1 - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,4) * prob(2,2,4,2) - S * lambda(2,2,5) * prob(2,2,5,2)) * mu_eff(2,3,3)/S) + prob(2,2,1,3) / ((1 - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3) - S * lambda(2,2,5) * prob(2,2,5,3)) * mu_eff(2,1,2)/S) + prob(2,2,1,4) / ((1 - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) * mu_eff(3,2,5)/S) + prob(2,2,1,5) / ((1 - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S);
ES2(2,2,2) = prob(2,2,2,1) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,4) * prob(2,2,4,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1/S)^2+prob(2,2,2,3) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3) - S * lambda(2,2,5) * prob(2,2,5,3)) * mu_eff(2,1,2)/S)^2+prob(2,2,2,4) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) * mu_eff(3,2,5)/S)^2+prob(2,2,2,5) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S)^2;
W(2,2,2) = lambda(2,2,2) * ES2 (2,2,2) / 2 / (1-ro(2,2,2)) + prob(2,2,2,1) / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,4) * prob(2,2,4,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1/S) + prob(2,2,2,3) / ((1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3) - S * lambda(2,2,5) * prob(2,2,5,3)) * mu_eff(2,1,2)/S) + prob(2,2,2,4) / ((1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) * mu_eff(3,2,5)/S) + prob(2,2,2,5) / ((1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S);
ES2(2,2,3) = prob(2,2,3,1) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,4) * prob(2,2,4,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1/S)^2+prob(2,2,3,2) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,4) * prob(2,2,4,2) - S * lambda(2,2,5) * prob(2,2,5,2)) * mu_eff(2,3,3)/S)^2+prob(2,2,3,4) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) * mu_eff(3,2,5)/S)^2+prob(2,2,3,5) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S)^2;
W(2,2,3) = lambda(2,2,3) * ES2 (2,2,3) / 2 / (1-ro(2,2,3)) + prob(2,2,3,1) / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,4) * prob(2,2,4,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1/S) + prob(2,2,3,2) / ((1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,4) * prob(2,2,4,2) - S * lambda(2,2,5) * prob(2,2,5,2)) * mu_eff(2,3,3)/S) + prob(2,2,3,4) / ((1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,4) * prob(2,2,4,4) - S * lambda(2,2,5) * prob(2,2,5,4)) * mu_eff(3,2,5)/S) + prob(2,2,3,5) / ((1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,4) * prob(2,2,4,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S);
ES2(2,2,4) = prob(2,2,4,1) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1/S)^2+prob(2,2,4,2) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,5) * prob(2,2,5,2)) * mu_eff(2,3,3)/S)^2+prob(2,2,4,3) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,5) * prob(2,2,5,3)) * mu_eff(2,1,2)/S)^2+prob(2,2,4,5) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S)^2;
W(2,2,4) = lambda(2,2,4) * ES2 (2,2,4) / 2 / (1-ro(2,2,4)) + prob(2,2,4,1) / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,5) * prob(2,2,5,1)) * 1/S) + prob(2,2,4,2) / ((1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,5) * prob(2,2,5,2)) * mu_eff(2,3,3)/S) + prob(2,2,4,3) / ((1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,5) * prob(2,2,5,3)) * mu_eff(2,1,2)/S) + prob(2,2,4,5) / ((1 - S * lambda(2,2,1) * prob(2,2,1,5) - S * lambda(2,2,2) * prob(2,2,2,5) - S * lambda(2,2,3) * prob(2,2,3,5) - S * lambda(2,2,5) * prob(2,2,5,5)) * mu_eff(1,2,4)/S);
ES2(2,2,5) = prob(2,2,5,1) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,4) * prob(2,2,4,1)) * 1/S)^2+prob(2,2,5,2) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,4) * prob(2,2,4,2)) * mu_eff(2,3,3)/S)^2+prob(2,2,5,3) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3)) * mu_eff(2,1,2)/S)^2+prob(2,2,5,4) * 2 / ((1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4)) * mu_eff(3,2,5)/S)^2;
W(2,2,5) = lambda(2,2,5) * ES2 (2,2,5) / 2 / (1-ro(2,2,5)) + prob(2,2,5,1) / ((1 - S * lambda(2,2,1) * prob(2,2,1,1) - S * lambda(2,2,2) * prob(2,2,2,1) - S * lambda(2,2,3) * prob(2,2,3,1) - S * lambda(2,2,4) * prob(2,2,4,1)) * 1/S) + prob(2,2,5,2) / ((1 - S * lambda(2,2,1) * prob(2,2,1,2) - S * lambda(2,2,2) * prob(2,2,2,2) - S * lambda(2,2,3) * prob(2,2,3,2) - S * lambda(2,2,4) * prob(2,2,4,2)) * mu_eff(2,3,3)/S) + prob(2,2,5,3) / ((1 - S * lambda(2,2,1) * prob(2,2,1,3) - S * lambda(2,2,2) * prob(2,2,2,3) - S * lambda(2,2,3) * prob(2,2,3,3) - S * lambda(2,2,4) * prob(2,2,4,3)) * mu_eff(2,1,2)/S) + prob(2,2,5,4) / ((1 - S * lambda(2,2,1) * prob(2,2,1,4) - S * lambda(2,2,2) * prob(2,2,2,4) - S * lambda(2,2,3) * prob(2,2,3,4) - S * lambda(2,2,4) * prob(2,2,4,4)) * mu_eff(3,2,5)/S);
ES2(2,3,1) = prob(2,3,1,2) * 2 / ((1 - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,4) * prob(2,3,4,2) - S * lambda(2,3,5) * prob(2,3,5,2)) * mu_eff(2,4,3)/S)^2+prob(2,3,1,3) * 2 / ((1 - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3) - S * lambda(2,3,5) * prob(2,3,5,3)) * mu_eff(2,2,2)/S)^2+prob(2,3,1,4) * 2 / ((1 - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) * mu_eff(3,3,5)/S)^2+prob(2,3,1,5) * 2 / ((1 - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S)^2;
W(2,3,1) = lambda(2,3,1) * ES2 (2,3,1) / 2 / (1-ro(2,3,1)) + prob(2,3,1,2) / ((1 - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,4) * prob(2,3,4,2) - S * lambda(2,3,5) * prob(2,3,5,2)) * mu_eff(2,4,3)/S) + prob(2,3,1,3) / ((1 - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3) - S * lambda(2,3,5) * prob(2,3,5,3)) * mu_eff(2,2,2)/S) + prob(2,3,1,4) / ((1 - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) * mu_eff(3,3,5)/S) + prob(2,3,1,5) / ((1 - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S);
ES2(2,3,2) = prob(2,3,2,1) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,4) * prob(2,3,4,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1/S)^2+prob(2,3,2,3) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3) - S * lambda(2,3,5) * prob(2,3,5,3)) * mu_eff(2,2,2)/S)^2+prob(2,3,2,4) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) * mu_eff(3,3,5)/S)^2+prob(2,3,2,5) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S)^2;
W(2,3,2) = lambda(2,3,2) * ES2 (2,3,2) / 2 / (1-ro(2,3,2)) + prob(2,3,2,1) / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,4) * prob(2,3,4,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1/S) + prob(2,3,2,3) / ((1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3) - S * lambda(2,3,5) * prob(2,3,5,3)) * mu_eff(2,2,2)/S) + prob(2,3,2,4) / ((1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) * mu_eff(3,3,5)/S) + prob(2,3,2,5) / ((1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S);
ES2(2,3,3) = prob(2,3,3,1) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,4) * prob(2,3,4,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1/S)^2+prob(2,3,3,2) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,4) * prob(2,3,4,2) - S * lambda(2,3,5) * prob(2,3,5,2)) * mu_eff(2,4,3)/S)^2+prob(2,3,3,4) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) * mu_eff(3,3,5)/S)^2+prob(2,3,3,5) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S)^2;
W(2,3,3) = lambda(2,3,3) * ES2 (2,3,3) / 2 / (1-ro(2,3,3)) + prob(2,3,3,1) / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,4) * prob(2,3,4,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1/S) + prob(2,3,3,2) / ((1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,4) * prob(2,3,4,2) - S * lambda(2,3,5) * prob(2,3,5,2)) * mu_eff(2,4,3)/S) + prob(2,3,3,4) / ((1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,4) * prob(2,3,4,4) - S * lambda(2,3,5) * prob(2,3,5,4)) * mu_eff(3,3,5)/S) + prob(2,3,3,5) / ((1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,4) * prob(2,3,4,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S);
ES2(2,3,4) = prob(2,3,4,1) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1/S)^2+prob(2,3,4,2) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,5) * prob(2,3,5,2)) * mu_eff(2,4,3)/S)^2+prob(2,3,4,3) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,5) * prob(2,3,5,3)) * mu_eff(2,2,2)/S)^2+prob(2,3,4,5) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S)^2;
W(2,3,4) = lambda(2,3,4) * ES2 (2,3,4) / 2 / (1-ro(2,3,4)) + prob(2,3,4,1) / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,5) * prob(2,3,5,1)) * 1/S) + prob(2,3,4,2) / ((1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,5) * prob(2,3,5,2)) * mu_eff(2,4,3)/S) + prob(2,3,4,3) / ((1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,5) * prob(2,3,5,3)) * mu_eff(2,2,2)/S) + prob(2,3,4,5) / ((1 - S * lambda(2,3,1) * prob(2,3,1,5) - S * lambda(2,3,2) * prob(2,3,2,5) - S * lambda(2,3,3) * prob(2,3,3,5) - S * lambda(2,3,5) * prob(2,3,5,5)) * mu_eff(1,3,4)/S);
ES2(2,3,5) = prob(2,3,5,1) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,4) * prob(2,3,4,1)) * 1/S)^2+prob(2,3,5,2) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,4) * prob(2,3,4,2)) * mu_eff(2,4,3)/S)^2+prob(2,3,5,3) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3)) * mu_eff(2,2,2)/S)^2+prob(2,3,5,4) * 2 / ((1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4)) * mu_eff(3,3,5)/S)^2;
W(2,3,5) = lambda(2,3,5) * ES2 (2,3,5) / 2 / (1-ro(2,3,5)) + prob(2,3,5,1) / ((1 - S * lambda(2,3,1) * prob(2,3,1,1) - S * lambda(2,3,2) * prob(2,3,2,1) - S * lambda(2,3,3) * prob(2,3,3,1) - S * lambda(2,3,4) * prob(2,3,4,1)) * 1/S) + prob(2,3,5,2) / ((1 - S * lambda(2,3,1) * prob(2,3,1,2) - S * lambda(2,3,2) * prob(2,3,2,2) - S * lambda(2,3,3) * prob(2,3,3,2) - S * lambda(2,3,4) * prob(2,3,4,2)) * mu_eff(2,4,3)/S) + prob(2,3,5,3) / ((1 - S * lambda(2,3,1) * prob(2,3,1,3) - S * lambda(2,3,2) * prob(2,3,2,3) - S * lambda(2,3,3) * prob(2,3,3,3) - S * lambda(2,3,4) * prob(2,3,4,3)) * mu_eff(2,2,2)/S) + prob(2,3,5,4) / ((1 - S * lambda(2,3,1) * prob(2,3,1,4) - S * lambda(2,3,2) * prob(2,3,2,4) - S * lambda(2,3,3) * prob(2,3,3,4) - S * lambda(2,3,4) * prob(2,3,4,4)) * mu_eff(3,3,5)/S);
ES2(2,4,1) = prob(2,4,1,3) * 2 / ((1 - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,4) * prob(2,4,4,3) - S * lambda(2,4,5) * prob(2,4,5,3)) * mu_eff(2,3,2)/S)^2+prob(2,4,1,4) * 2 / ((1 - S * lambda(2,4,3) * prob(2,4,3,4) - S * lambda(2,4,4) * prob(2,4,4,4) - S * lambda(2,4,5) * prob(2,4,5,4)) * mu_eff(3,4,5)/S)^2+prob(2,4,1,5) * 2 / ((1 - S * lambda(2,4,3) * prob(2,4,3,5) - S * lambda(2,4,4) * prob(2,4,4,5) - S * lambda(2,4,5) * prob(2,4,5,5)) * mu_eff(1,4,4)/S)^2;
W(2,4,1) = lambda(2,4,1) * ES2 (2,4,1) / 2 / (1-ro(2,4,1)) + prob(2,4,1,3) / ((1 - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,4) * prob(2,4,4,3) - S * lambda(2,4,5) * prob(2,4,5,3)) * mu_eff(2,3,2)/S) + prob(2,4,1,4) / ((1 - S * lambda(2,4,3) * prob(2,4,3,4) - S * lambda(2,4,4) * prob(2,4,4,4) - S * lambda(2,4,5) * prob(2,4,5,4)) * mu_eff(3,4,5)/S) + prob(2,4,1,5) / ((1 - S * lambda(2,4,3) * prob(2,4,3,5) - S * lambda(2,4,4) * prob(2,4,4,5) - S * lambda(2,4,5) * prob(2,4,5,5)) * mu_eff(1,4,4)/S);
ES2(2,4,2) = 1;
W(2,4,2) = 0;
ES2(2,4,3) = prob(2,4,3,1) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,4) * prob(2,4,4,1) - S * lambda(2,4,5) * prob(2,4,5,1)) * 1/S)^2+prob(2,4,3,4) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,4) - S * lambda(2,4,4) * prob(2,4,4,4) - S * lambda(2,4,5) * prob(2,4,5,4)) * mu_eff(3,4,5)/S)^2+prob(2,4,3,5) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,5) - S * lambda(2,4,4) * prob(2,4,4,5) - S * lambda(2,4,5) * prob(2,4,5,5)) * mu_eff(1,4,4)/S)^2;
W(2,4,3) = lambda(2,4,3) * ES2 (2,4,3) / 2 / (1-ro(2,4,3)) + prob(2,4,3,1) / ((1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,4) * prob(2,4,4,1) - S * lambda(2,4,5) * prob(2,4,5,1)) * 1/S) + prob(2,4,3,4) / ((1 - S * lambda(2,4,1) * prob(2,4,1,4) - S * lambda(2,4,4) * prob(2,4,4,4) - S * lambda(2,4,5) * prob(2,4,5,4)) * mu_eff(3,4,5)/S) + prob(2,4,3,5) / ((1 - S * lambda(2,4,1) * prob(2,4,1,5) - S * lambda(2,4,4) * prob(2,4,4,5) - S * lambda(2,4,5) * prob(2,4,5,5)) * mu_eff(1,4,4)/S);
ES2(2,4,4) = prob(2,4,4,1) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,3) * prob(2,4,3,1) - S * lambda(2,4,5) * prob(2,4,5,1)) * 1/S)^2+prob(2,4,4,3) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,3) - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,5) * prob(2,4,5,3)) * mu_eff(2,3,2)/S)^2+prob(2,4,4,5) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,5) - S * lambda(2,4,3) * prob(2,4,3,5) - S * lambda(2,4,5) * prob(2,4,5,5)) * mu_eff(1,4,4)/S)^2;
W(2,4,4) = lambda(2,4,4) * ES2 (2,4,4) / 2 / (1-ro(2,4,4)) + prob(2,4,4,1) / ((1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,3) * prob(2,4,3,1) - S * lambda(2,4,5) * prob(2,4,5,1)) * 1/S) + prob(2,4,4,3) / ((1 - S * lambda(2,4,1) * prob(2,4,1,3) - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,5) * prob(2,4,5,3)) * mu_eff(2,3,2)/S) + prob(2,4,4,5) / ((1 - S * lambda(2,4,1) * prob(2,4,1,5) - S * lambda(2,4,3) * prob(2,4,3,5) - S * lambda(2,4,5) * prob(2,4,5,5)) * mu_eff(1,4,4)/S);
ES2(2,4,5) = prob(2,4,5,1) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,3) * prob(2,4,3,1) - S * lambda(2,4,4) * prob(2,4,4,1)) * 1/S)^2+prob(2,4,5,3) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,3) - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,4) * prob(2,4,4,3)) * mu_eff(2,3,2)/S)^2+prob(2,4,5,4) * 2 / ((1 - S * lambda(2,4,1) * prob(2,4,1,4) - S * lambda(2,4,3) * prob(2,4,3,4) - S * lambda(2,4,4) * prob(2,4,4,4)) * mu_eff(3,4,5)/S)^2;
W(2,4,5) = lambda(2,4,5) * ES2 (2,4,5) / 2 / (1-ro(2,4,5)) + prob(2,4,5,1) / ((1 - S * lambda(2,4,1) * prob(2,4,1,1) - S * lambda(2,4,3) * prob(2,4,3,1) - S * lambda(2,4,4) * prob(2,4,4,1)) * 1/S) + prob(2,4,5,3) / ((1 - S * lambda(2,4,1) * prob(2,4,1,3) - S * lambda(2,4,3) * prob(2,4,3,3) - S * lambda(2,4,4) * prob(2,4,4,3)) * mu_eff(2,3,2)/S) + prob(2,4,5,4) / ((1 - S * lambda(2,4,1) * prob(2,4,1,4) - S * lambda(2,4,3) * prob(2,4,3,4) - S * lambda(2,4,4) * prob(2,4,4,4)) * mu_eff(3,4,5)/S);
ES2(3,1,1) = prob(3,1,1,2) * 2 / ((1 - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,4) * prob(3,1,4,2) - S * lambda(3,1,5) * prob(3,1,5,2)) * mu_eff(3,2,3)/S)^2+prob(3,1,1,4) * 2 / ((1 - S * lambda(3,1,2) * prob(3,1,2,4) - S * lambda(3,1,4) * prob(3,1,4,4) - S * lambda(3,1,5) * prob(3,1,5,4)) * mu_eff(4,1,5)/S)^2+prob(3,1,1,5) * 2 / ((1 - S * lambda(3,1,2) * prob(3,1,2,5) - S * lambda(3,1,4) * prob(3,1,4,5) - S * lambda(3,1,5) * prob(3,1,5,5)) * mu_eff(2,1,4)/S)^2;
W(3,1,1) = lambda(3,1,1) * ES2 (3,1,1) / 2 / (1-ro(3,1,1)) + prob(3,1,1,2) / ((1 - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,4) * prob(3,1,4,2) - S * lambda(3,1,5) * prob(3,1,5,2)) * mu_eff(3,2,3)/S) + prob(3,1,1,4) / ((1 - S * lambda(3,1,2) * prob(3,1,2,4) - S * lambda(3,1,4) * prob(3,1,4,4) - S * lambda(3,1,5) * prob(3,1,5,4)) * mu_eff(4,1,5)/S) + prob(3,1,1,5) / ((1 - S * lambda(3,1,2) * prob(3,1,2,5) - S * lambda(3,1,4) * prob(3,1,4,5) - S * lambda(3,1,5) * prob(3,1,5,5)) * mu_eff(2,1,4)/S);
ES2(3,1,2) = prob(3,1,2,1) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,4) * prob(3,1,4,1) - S * lambda(3,1,5) * prob(3,1,5,1)) * 1/S)^2+prob(3,1,2,4) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,4) - S * lambda(3,1,4) * prob(3,1,4,4) - S * lambda(3,1,5) * prob(3,1,5,4)) * mu_eff(4,1,5)/S)^2+prob(3,1,2,5) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,5) - S * lambda(3,1,4) * prob(3,1,4,5) - S * lambda(3,1,5) * prob(3,1,5,5)) * mu_eff(2,1,4)/S)^2;
W(3,1,2) = lambda(3,1,2) * ES2 (3,1,2) / 2 / (1-ro(3,1,2)) + prob(3,1,2,1) / ((1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,4) * prob(3,1,4,1) - S * lambda(3,1,5) * prob(3,1,5,1)) * 1/S) + prob(3,1,2,4) / ((1 - S * lambda(3,1,1) * prob(3,1,1,4) - S * lambda(3,1,4) * prob(3,1,4,4) - S * lambda(3,1,5) * prob(3,1,5,4)) * mu_eff(4,1,5)/S) + prob(3,1,2,5) / ((1 - S * lambda(3,1,1) * prob(3,1,1,5) - S * lambda(3,1,4) * prob(3,1,4,5) - S * lambda(3,1,5) * prob(3,1,5,5)) * mu_eff(2,1,4)/S);
ES2(3,1,3) = 1;
W(3,1,3) = 0;
ES2(3,1,4) = prob(3,1,4,1) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,2) * prob(3,1,2,1) - S * lambda(3,1,5) * prob(3,1,5,1)) * 1/S)^2+prob(3,1,4,2) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,2) - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,5) * prob(3,1,5,2)) * mu_eff(3,2,3)/S)^2+prob(3,1,4,5) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,5) - S * lambda(3,1,2) * prob(3,1,2,5) - S * lambda(3,1,5) * prob(3,1,5,5)) * mu_eff(2,1,4)/S)^2;
W(3,1,4) = lambda(3,1,4) * ES2 (3,1,4) / 2 / (1-ro(3,1,4)) + prob(3,1,4,1) / ((1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,2) * prob(3,1,2,1) - S * lambda(3,1,5) * prob(3,1,5,1)) * 1/S) + prob(3,1,4,2) / ((1 - S * lambda(3,1,1) * prob(3,1,1,2) - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,5) * prob(3,1,5,2)) * mu_eff(3,2,3)/S) + prob(3,1,4,5) / ((1 - S * lambda(3,1,1) * prob(3,1,1,5) - S * lambda(3,1,2) * prob(3,1,2,5) - S * lambda(3,1,5) * prob(3,1,5,5)) * mu_eff(2,1,4)/S);
ES2(3,1,5) = prob(3,1,5,1) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,2) * prob(3,1,2,1) - S * lambda(3,1,4) * prob(3,1,4,1)) * 1/S)^2+prob(3,1,5,2) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,2) - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,4) * prob(3,1,4,2)) * mu_eff(3,2,3)/S)^2+prob(3,1,5,4) * 2 / ((1 - S * lambda(3,1,1) * prob(3,1,1,4) - S * lambda(3,1,2) * prob(3,1,2,4) - S * lambda(3,1,4) * prob(3,1,4,4)) * mu_eff(4,1,5)/S)^2;
W(3,1,5) = lambda(3,1,5) * ES2 (3,1,5) / 2 / (1-ro(3,1,5)) + prob(3,1,5,1) / ((1 - S * lambda(3,1,1) * prob(3,1,1,1) - S * lambda(3,1,2) * prob(3,1,2,1) - S * lambda(3,1,4) * prob(3,1,4,1)) * 1/S) + prob(3,1,5,2) / ((1 - S * lambda(3,1,1) * prob(3,1,1,2) - S * lambda(3,1,2) * prob(3,1,2,2) - S * lambda(3,1,4) * prob(3,1,4,2)) * mu_eff(3,2,3)/S) + prob(3,1,5,4) / ((1 - S * lambda(3,1,1) * prob(3,1,1,4) - S * lambda(3,1,2) * prob(3,1,2,4) - S * lambda(3,1,4) * prob(3,1,4,4)) * mu_eff(4,1,5)/S);
ES2(3,2,1) = prob(3,2,1,2) * 2 / ((1 - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,4) * prob(3,2,4,2) - S * lambda(3,2,5) * prob(3,2,5,2)) * mu_eff(3,3,3)/S)^2+prob(3,2,1,3) * 2 / ((1 - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3) - S * lambda(3,2,5) * prob(3,2,5,3)) * mu_eff(3,1,2)/S)^2+prob(3,2,1,4) * 2 / ((1 - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) * mu_eff(4,2,5)/S)^2+prob(3,2,1,5) * 2 / ((1 - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S)^2;
W(3,2,1) = lambda(3,2,1) * ES2 (3,2,1) / 2 / (1-ro(3,2,1)) + prob(3,2,1,2) / ((1 - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,4) * prob(3,2,4,2) - S * lambda(3,2,5) * prob(3,2,5,2)) * mu_eff(3,3,3)/S) + prob(3,2,1,3) / ((1 - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3) - S * lambda(3,2,5) * prob(3,2,5,3)) * mu_eff(3,1,2)/S) + prob(3,2,1,4) / ((1 - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) * mu_eff(4,2,5)/S) + prob(3,2,1,5) / ((1 - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S);
ES2(3,2,2) = prob(3,2,2,1) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,4) * prob(3,2,4,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1/S)^2+prob(3,2,2,3) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3) - S * lambda(3,2,5) * prob(3,2,5,3)) * mu_eff(3,1,2)/S)^2+prob(3,2,2,4) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) * mu_eff(4,2,5)/S)^2+prob(3,2,2,5) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S)^2;
W(3,2,2) = lambda(3,2,2) * ES2 (3,2,2) / 2 / (1-ro(3,2,2)) + prob(3,2,2,1) / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,4) * prob(3,2,4,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1/S) + prob(3,2,2,3) / ((1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3) - S * lambda(3,2,5) * prob(3,2,5,3)) * mu_eff(3,1,2)/S) + prob(3,2,2,4) / ((1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) * mu_eff(4,2,5)/S) + prob(3,2,2,5) / ((1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S);
ES2(3,2,3) = prob(3,2,3,1) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,4) * prob(3,2,4,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1/S)^2+prob(3,2,3,2) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,4) * prob(3,2,4,2) - S * lambda(3,2,5) * prob(3,2,5,2)) * mu_eff(3,3,3)/S)^2+prob(3,2,3,4) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) * mu_eff(4,2,5)/S)^2+prob(3,2,3,5) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S)^2;
W(3,2,3) = lambda(3,2,3) * ES2 (3,2,3) / 2 / (1-ro(3,2,3)) + prob(3,2,3,1) / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,4) * prob(3,2,4,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1/S) + prob(3,2,3,2) / ((1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,4) * prob(3,2,4,2) - S * lambda(3,2,5) * prob(3,2,5,2)) * mu_eff(3,3,3)/S) + prob(3,2,3,4) / ((1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,4) * prob(3,2,4,4) - S * lambda(3,2,5) * prob(3,2,5,4)) * mu_eff(4,2,5)/S) + prob(3,2,3,5) / ((1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,4) * prob(3,2,4,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S);
ES2(3,2,4) = prob(3,2,4,1) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1/S)^2+prob(3,2,4,2) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,5) * prob(3,2,5,2)) * mu_eff(3,3,3)/S)^2+prob(3,2,4,3) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,5) * prob(3,2,5,3)) * mu_eff(3,1,2)/S)^2+prob(3,2,4,5) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S)^2;
W(3,2,4) = lambda(3,2,4) * ES2 (3,2,4) / 2 / (1-ro(3,2,4)) + prob(3,2,4,1) / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,5) * prob(3,2,5,1)) * 1/S) + prob(3,2,4,2) / ((1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,5) * prob(3,2,5,2)) * mu_eff(3,3,3)/S) + prob(3,2,4,3) / ((1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,5) * prob(3,2,5,3)) * mu_eff(3,1,2)/S) + prob(3,2,4,5) / ((1 - S * lambda(3,2,1) * prob(3,2,1,5) - S * lambda(3,2,2) * prob(3,2,2,5) - S * lambda(3,2,3) * prob(3,2,3,5) - S * lambda(3,2,5) * prob(3,2,5,5)) * mu_eff(2,2,4)/S);
ES2(3,2,5) = prob(3,2,5,1) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,4) * prob(3,2,4,1)) * 1/S)^2+prob(3,2,5,2) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,4) * prob(3,2,4,2)) * mu_eff(3,3,3)/S)^2+prob(3,2,5,3) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3)) * mu_eff(3,1,2)/S)^2+prob(3,2,5,4) * 2 / ((1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4)) * mu_eff(4,2,5)/S)^2;
W(3,2,5) = lambda(3,2,5) * ES2 (3,2,5) / 2 / (1-ro(3,2,5)) + prob(3,2,5,1) / ((1 - S * lambda(3,2,1) * prob(3,2,1,1) - S * lambda(3,2,2) * prob(3,2,2,1) - S * lambda(3,2,3) * prob(3,2,3,1) - S * lambda(3,2,4) * prob(3,2,4,1)) * 1/S) + prob(3,2,5,2) / ((1 - S * lambda(3,2,1) * prob(3,2,1,2) - S * lambda(3,2,2) * prob(3,2,2,2) - S * lambda(3,2,3) * prob(3,2,3,2) - S * lambda(3,2,4) * prob(3,2,4,2)) * mu_eff(3,3,3)/S) + prob(3,2,5,3) / ((1 - S * lambda(3,2,1) * prob(3,2,1,3) - S * lambda(3,2,2) * prob(3,2,2,3) - S * lambda(3,2,3) * prob(3,2,3,3) - S * lambda(3,2,4) * prob(3,2,4,3)) * mu_eff(3,1,2)/S) + prob(3,2,5,4) / ((1 - S * lambda(3,2,1) * prob(3,2,1,4) - S * lambda(3,2,2) * prob(3,2,2,4) - S * lambda(3,2,3) * prob(3,2,3,4) - S * lambda(3,2,4) * prob(3,2,4,4)) * mu_eff(4,2,5)/S);
ES2(3,3,1) = prob(3,3,1,2) * 2 / ((1 - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,4) * prob(3,3,4,2) - S * lambda(3,3,5) * prob(3,3,5,2)) * mu_eff(3,4,3)/S)^2+prob(3,3,1,3) * 2 / ((1 - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3) - S * lambda(3,3,5) * prob(3,3,5,3)) * mu_eff(3,2,2)/S)^2+prob(3,3,1,4) * 2 / ((1 - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) * mu_eff(4,3,5)/S)^2+prob(3,3,1,5) * 2 / ((1 - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S)^2;
W(3,3,1) = lambda(3,3,1) * ES2 (3,3,1) / 2 / (1-ro(3,3,1)) + prob(3,3,1,2) / ((1 - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,4) * prob(3,3,4,2) - S * lambda(3,3,5) * prob(3,3,5,2)) * mu_eff(3,4,3)/S) + prob(3,3,1,3) / ((1 - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3) - S * lambda(3,3,5) * prob(3,3,5,3)) * mu_eff(3,2,2)/S) + prob(3,3,1,4) / ((1 - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) * mu_eff(4,3,5)/S) + prob(3,3,1,5) / ((1 - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S);
ES2(3,3,2) = prob(3,3,2,1) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,4) * prob(3,3,4,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1/S)^2+prob(3,3,2,3) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3) - S * lambda(3,3,5) * prob(3,3,5,3)) * mu_eff(3,2,2)/S)^2+prob(3,3,2,4) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) * mu_eff(4,3,5)/S)^2+prob(3,3,2,5) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S)^2;
W(3,3,2) = lambda(3,3,2) * ES2 (3,3,2) / 2 / (1-ro(3,3,2)) + prob(3,3,2,1) / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,4) * prob(3,3,4,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1/S) + prob(3,3,2,3) / ((1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3) - S * lambda(3,3,5) * prob(3,3,5,3)) * mu_eff(3,2,2)/S) + prob(3,3,2,4) / ((1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) * mu_eff(4,3,5)/S) + prob(3,3,2,5) / ((1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S);
ES2(3,3,3) = prob(3,3,3,1) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,4) * prob(3,3,4,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1/S)^2+prob(3,3,3,2) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,4) * prob(3,3,4,2) - S * lambda(3,3,5) * prob(3,3,5,2)) * mu_eff(3,4,3)/S)^2+prob(3,3,3,4) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) * mu_eff(4,3,5)/S)^2+prob(3,3,3,5) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S)^2;
W(3,3,3) = lambda(3,3,3) * ES2 (3,3,3) / 2 / (1-ro(3,3,3)) + prob(3,3,3,1) / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,4) * prob(3,3,4,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1/S) + prob(3,3,3,2) / ((1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,4) * prob(3,3,4,2) - S * lambda(3,3,5) * prob(3,3,5,2)) * mu_eff(3,4,3)/S) + prob(3,3,3,4) / ((1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,4) * prob(3,3,4,4) - S * lambda(3,3,5) * prob(3,3,5,4)) * mu_eff(4,3,5)/S) + prob(3,3,3,5) / ((1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,4) * prob(3,3,4,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S);
ES2(3,3,4) = prob(3,3,4,1) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1/S)^2+prob(3,3,4,2) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,5) * prob(3,3,5,2)) * mu_eff(3,4,3)/S)^2+prob(3,3,4,3) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,5) * prob(3,3,5,3)) * mu_eff(3,2,2)/S)^2+prob(3,3,4,5) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S)^2;
W(3,3,4) = lambda(3,3,4) * ES2 (3,3,4) / 2 / (1-ro(3,3,4)) + prob(3,3,4,1) / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,5) * prob(3,3,5,1)) * 1/S) + prob(3,3,4,2) / ((1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,5) * prob(3,3,5,2)) * mu_eff(3,4,3)/S) + prob(3,3,4,3) / ((1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,5) * prob(3,3,5,3)) * mu_eff(3,2,2)/S) + prob(3,3,4,5) / ((1 - S * lambda(3,3,1) * prob(3,3,1,5) - S * lambda(3,3,2) * prob(3,3,2,5) - S * lambda(3,3,3) * prob(3,3,3,5) - S * lambda(3,3,5) * prob(3,3,5,5)) * mu_eff(2,3,4)/S);
ES2(3,3,5) = prob(3,3,5,1) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,4) * prob(3,3,4,1)) * 1/S)^2+prob(3,3,5,2) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,4) * prob(3,3,4,2)) * mu_eff(3,4,3)/S)^2+prob(3,3,5,3) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3)) * mu_eff(3,2,2)/S)^2+prob(3,3,5,4) * 2 / ((1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4)) * mu_eff(4,3,5)/S)^2;
W(3,3,5) = lambda(3,3,5) * ES2 (3,3,5) / 2 / (1-ro(3,3,5)) + prob(3,3,5,1) / ((1 - S * lambda(3,3,1) * prob(3,3,1,1) - S * lambda(3,3,2) * prob(3,3,2,1) - S * lambda(3,3,3) * prob(3,3,3,1) - S * lambda(3,3,4) * prob(3,3,4,1)) * 1/S) + prob(3,3,5,2) / ((1 - S * lambda(3,3,1) * prob(3,3,1,2) - S * lambda(3,3,2) * prob(3,3,2,2) - S * lambda(3,3,3) * prob(3,3,3,2) - S * lambda(3,3,4) * prob(3,3,4,2)) * mu_eff(3,4,3)/S) + prob(3,3,5,3) / ((1 - S * lambda(3,3,1) * prob(3,3,1,3) - S * lambda(3,3,2) * prob(3,3,2,3) - S * lambda(3,3,3) * prob(3,3,3,3) - S * lambda(3,3,4) * prob(3,3,4,3)) * mu_eff(3,2,2)/S) + prob(3,3,5,4) / ((1 - S * lambda(3,3,1) * prob(3,3,1,4) - S * lambda(3,3,2) * prob(3,3,2,4) - S * lambda(3,3,3) * prob(3,3,3,4) - S * lambda(3,3,4) * prob(3,3,4,4)) * mu_eff(4,3,5)/S);
ES2(3,4,1) = prob(3,4,1,3) * 2 / ((1 - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,4) * prob(3,4,4,3) - S * lambda(3,4,5) * prob(3,4,5,3)) * mu_eff(3,3,2)/S)^2+prob(3,4,1,4) * 2 / ((1 - S * lambda(3,4,3) * prob(3,4,3,4) - S * lambda(3,4,4) * prob(3,4,4,4) - S * lambda(3,4,5) * prob(3,4,5,4)) * mu_eff(4,4,5)/S)^2+prob(3,4,1,5) * 2 / ((1 - S * lambda(3,4,3) * prob(3,4,3,5) - S * lambda(3,4,4) * prob(3,4,4,5) - S * lambda(3,4,5) * prob(3,4,5,5)) * mu_eff(2,4,4)/S)^2;
W(3,4,1) = lambda(3,4,1) * ES2 (3,4,1) / 2 / (1-ro(3,4,1)) + prob(3,4,1,3) / ((1 - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,4) * prob(3,4,4,3) - S * lambda(3,4,5) * prob(3,4,5,3)) * mu_eff(3,3,2)/S) + prob(3,4,1,4) / ((1 - S * lambda(3,4,3) * prob(3,4,3,4) - S * lambda(3,4,4) * prob(3,4,4,4) - S * lambda(3,4,5) * prob(3,4,5,4)) * mu_eff(4,4,5)/S) + prob(3,4,1,5) / ((1 - S * lambda(3,4,3) * prob(3,4,3,5) - S * lambda(3,4,4) * prob(3,4,4,5) - S * lambda(3,4,5) * prob(3,4,5,5)) * mu_eff(2,4,4)/S);
ES2(3,4,2) = 1;
W(3,4,2) = 0;
ES2(3,4,3) = prob(3,4,3,1) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,4) * prob(3,4,4,1) - S * lambda(3,4,5) * prob(3,4,5,1)) * 1/S)^2+prob(3,4,3,4) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,4) - S * lambda(3,4,4) * prob(3,4,4,4) - S * lambda(3,4,5) * prob(3,4,5,4)) * mu_eff(4,4,5)/S)^2+prob(3,4,3,5) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,5) - S * lambda(3,4,4) * prob(3,4,4,5) - S * lambda(3,4,5) * prob(3,4,5,5)) * mu_eff(2,4,4)/S)^2;
W(3,4,3) = lambda(3,4,3) * ES2 (3,4,3) / 2 / (1-ro(3,4,3)) + prob(3,4,3,1) / ((1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,4) * prob(3,4,4,1) - S * lambda(3,4,5) * prob(3,4,5,1)) * 1/S) + prob(3,4,3,4) / ((1 - S * lambda(3,4,1) * prob(3,4,1,4) - S * lambda(3,4,4) * prob(3,4,4,4) - S * lambda(3,4,5) * prob(3,4,5,4)) * mu_eff(4,4,5)/S) + prob(3,4,3,5) / ((1 - S * lambda(3,4,1) * prob(3,4,1,5) - S * lambda(3,4,4) * prob(3,4,4,5) - S * lambda(3,4,5) * prob(3,4,5,5)) * mu_eff(2,4,4)/S);
ES2(3,4,4) = prob(3,4,4,1) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,3) * prob(3,4,3,1) - S * lambda(3,4,5) * prob(3,4,5,1)) * 1/S)^2+prob(3,4,4,3) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,3) - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,5) * prob(3,4,5,3)) * mu_eff(3,3,2)/S)^2+prob(3,4,4,5) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,5) - S * lambda(3,4,3) * prob(3,4,3,5) - S * lambda(3,4,5) * prob(3,4,5,5)) * mu_eff(2,4,4)/S)^2;
W(3,4,4) = lambda(3,4,4) * ES2 (3,4,4) / 2 / (1-ro(3,4,4)) + prob(3,4,4,1) / ((1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,3) * prob(3,4,3,1) - S * lambda(3,4,5) * prob(3,4,5,1)) * 1/S) + prob(3,4,4,3) / ((1 - S * lambda(3,4,1) * prob(3,4,1,3) - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,5) * prob(3,4,5,3)) * mu_eff(3,3,2)/S) + prob(3,4,4,5) / ((1 - S * lambda(3,4,1) * prob(3,4,1,5) - S * lambda(3,4,3) * prob(3,4,3,5) - S * lambda(3,4,5) * prob(3,4,5,5)) * mu_eff(2,4,4)/S);
ES2(3,4,5) = prob(3,4,5,1) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,3) * prob(3,4,3,1) - S * lambda(3,4,4) * prob(3,4,4,1)) * 1/S)^2+prob(3,4,5,3) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,3) - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,4) * prob(3,4,4,3)) * mu_eff(3,3,2)/S)^2+prob(3,4,5,4) * 2 / ((1 - S * lambda(3,4,1) * prob(3,4,1,4) - S * lambda(3,4,3) * prob(3,4,3,4) - S * lambda(3,4,4) * prob(3,4,4,4)) * mu_eff(4,4,5)/S)^2;
W(3,4,5) = lambda(3,4,5) * ES2 (3,4,5) / 2 / (1-ro(3,4,5)) + prob(3,4,5,1) / ((1 - S * lambda(3,4,1) * prob(3,4,1,1) - S * lambda(3,4,3) * prob(3,4,3,1) - S * lambda(3,4,4) * prob(3,4,4,1)) * 1/S) + prob(3,4,5,3) / ((1 - S * lambda(3,4,1) * prob(3,4,1,3) - S * lambda(3,4,3) * prob(3,4,3,3) - S * lambda(3,4,4) * prob(3,4,4,3)) * mu_eff(3,3,2)/S) + prob(3,4,5,4) / ((1 - S * lambda(3,4,1) * prob(3,4,1,4) - S * lambda(3,4,3) * prob(3,4,3,4) - S * lambda(3,4,4) * prob(3,4,4,4)) * mu_eff(4,4,5)/S);
ES2(4,1,1) = prob(4,1,1,2) * 2 / ((1 - S * lambda(4,1,2) * prob(4,1,2,2) - S * lambda(4,1,5) * prob(4,1,5,2)) * mu_eff(4,2,3)/S)^2+prob(4,1,1,5) * 2 / ((1 - S * lambda(4,1,2) * prob(4,1,2,5) - S * lambda(4,1,5) * prob(4,1,5,5)) * mu_eff(3,1,4)/S)^2;
W(4,1,1) = lambda(4,1,1) * ES2 (4,1,1) / 2 / (1-ro(4,1,1)) + prob(4,1,1,2) / ((1 - S * lambda(4,1,2) * prob(4,1,2,2) - S * lambda(4,1,5) * prob(4,1,5,2)) * mu_eff(4,2,3)/S) + prob(4,1,1,5) / ((1 - S * lambda(4,1,2) * prob(4,1,2,5) - S * lambda(4,1,5) * prob(4,1,5,5)) * mu_eff(3,1,4)/S);
ES2(4,1,2) = prob(4,1,2,1) * 2 / ((1 - S * lambda(4,1,1) * prob(4,1,1,1) - S * lambda(4,1,5) * prob(4,1,5,1)) * 1/S)^2+prob(4,1,2,5) * 2 / ((1 - S * lambda(4,1,1) * prob(4,1,1,5) - S * lambda(4,1,5) * prob(4,1,5,5)) * mu_eff(3,1,4)/S)^2;
W(4,1,2) = lambda(4,1,2) * ES2 (4,1,2) / 2 / (1-ro(4,1,2)) + prob(4,1,2,1) / ((1 - S * lambda(4,1,1) * prob(4,1,1,1) - S * lambda(4,1,5) * prob(4,1,5,1)) * 1/S) + prob(4,1,2,5) / ((1 - S * lambda(4,1,1) * prob(4,1,1,5) - S * lambda(4,1,5) * prob(4,1,5,5)) * mu_eff(3,1,4)/S);
ES2(4,1,3) = 1;
W(4,1,3) = 0;
ES2(4,1,4) = 1;
W(4,1,4) = 0;
ES2(4,1,5) = prob(4,1,5,1) * 2 / ((1 - S * lambda(4,1,1) * prob(4,1,1,1) - S * lambda(4,1,2) * prob(4,1,2,1)) * 1/S)^2+prob(4,1,5,2) * 2 / ((1 - S * lambda(4,1,1) * prob(4,1,1,2) - S * lambda(4,1,2) * prob(4,1,2,2)) * mu_eff(4,2,3)/S)^2;
W(4,1,5) = lambda(4,1,5) * ES2 (4,1,5) / 2 / (1-ro(4,1,5)) + prob(4,1,5,1) / ((1 - S * lambda(4,1,1) * prob(4,1,1,1) - S * lambda(4,1,2) * prob(4,1,2,1)) * 1/S) + prob(4,1,5,2) / ((1 - S * lambda(4,1,1) * prob(4,1,1,2) - S * lambda(4,1,2) * prob(4,1,2,2)) * mu_eff(4,2,3)/S);
ES2(4,2,1) = prob(4,2,1,2) * 2 / ((1 - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,3) * prob(4,2,3,2) - S * lambda(4,2,5) * prob(4,2,5,2)) * mu_eff(4,3,3)/S)^2+prob(4,2,1,3) * 2 / ((1 - S * lambda(4,2,2) * prob(4,2,2,3) - S * lambda(4,2,3) * prob(4,2,3,3) - S * lambda(4,2,5) * prob(4,2,5,3)) * mu_eff(4,1,2)/S)^2+prob(4,2,1,5) * 2 / ((1 - S * lambda(4,2,2) * prob(4,2,2,5) - S * lambda(4,2,3) * prob(4,2,3,5) - S * lambda(4,2,5) * prob(4,2,5,5)) * mu_eff(3,2,4)/S)^2;
W(4,2,1) = lambda(4,2,1) * ES2 (4,2,1) / 2 / (1-ro(4,2,1)) + prob(4,2,1,2) / ((1 - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,3) * prob(4,2,3,2) - S * lambda(4,2,5) * prob(4,2,5,2)) * mu_eff(4,3,3)/S) + prob(4,2,1,3) / ((1 - S * lambda(4,2,2) * prob(4,2,2,3) - S * lambda(4,2,3) * prob(4,2,3,3) - S * lambda(4,2,5) * prob(4,2,5,3)) * mu_eff(4,1,2)/S) + prob(4,2,1,5) / ((1 - S * lambda(4,2,2) * prob(4,2,2,5) - S * lambda(4,2,3) * prob(4,2,3,5) - S * lambda(4,2,5) * prob(4,2,5,5)) * mu_eff(3,2,4)/S);
ES2(4,2,2) = prob(4,2,2,1) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,3) * prob(4,2,3,1) - S * lambda(4,2,5) * prob(4,2,5,1)) * 1/S)^2+prob(4,2,2,3) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,3) - S * lambda(4,2,3) * prob(4,2,3,3) - S * lambda(4,2,5) * prob(4,2,5,3)) * mu_eff(4,1,2)/S)^2+prob(4,2,2,5) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,5) - S * lambda(4,2,3) * prob(4,2,3,5) - S * lambda(4,2,5) * prob(4,2,5,5)) * mu_eff(3,2,4)/S)^2;
W(4,2,2) = lambda(4,2,2) * ES2 (4,2,2) / 2 / (1-ro(4,2,2)) + prob(4,2,2,1) / ((1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,3) * prob(4,2,3,1) - S * lambda(4,2,5) * prob(4,2,5,1)) * 1/S) + prob(4,2,2,3) / ((1 - S * lambda(4,2,1) * prob(4,2,1,3) - S * lambda(4,2,3) * prob(4,2,3,3) - S * lambda(4,2,5) * prob(4,2,5,3)) * mu_eff(4,1,2)/S) + prob(4,2,2,5) / ((1 - S * lambda(4,2,1) * prob(4,2,1,5) - S * lambda(4,2,3) * prob(4,2,3,5) - S * lambda(4,2,5) * prob(4,2,5,5)) * mu_eff(3,2,4)/S);
ES2(4,2,3) = prob(4,2,3,1) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,2) * prob(4,2,2,1) - S * lambda(4,2,5) * prob(4,2,5,1)) * 1/S)^2+prob(4,2,3,2) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,2) - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,5) * prob(4,2,5,2)) * mu_eff(4,3,3)/S)^2+prob(4,2,3,5) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,5) - S * lambda(4,2,2) * prob(4,2,2,5) - S * lambda(4,2,5) * prob(4,2,5,5)) * mu_eff(3,2,4)/S)^2;
W(4,2,3) = lambda(4,2,3) * ES2 (4,2,3) / 2 / (1-ro(4,2,3)) + prob(4,2,3,1) / ((1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,2) * prob(4,2,2,1) - S * lambda(4,2,5) * prob(4,2,5,1)) * 1/S) + prob(4,2,3,2) / ((1 - S * lambda(4,2,1) * prob(4,2,1,2) - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,5) * prob(4,2,5,2)) * mu_eff(4,3,3)/S) + prob(4,2,3,5) / ((1 - S * lambda(4,2,1) * prob(4,2,1,5) - S * lambda(4,2,2) * prob(4,2,2,5) - S * lambda(4,2,5) * prob(4,2,5,5)) * mu_eff(3,2,4)/S);
ES2(4,2,4) = 1;
W(4,2,4) = 0;
ES2(4,2,5) = prob(4,2,5,1) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,2) * prob(4,2,2,1) - S * lambda(4,2,3) * prob(4,2,3,1)) * 1/S)^2+prob(4,2,5,2) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,2) - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,3) * prob(4,2,3,2)) * mu_eff(4,3,3)/S)^2+prob(4,2,5,3) * 2 / ((1 - S * lambda(4,2,1) * prob(4,2,1,3) - S * lambda(4,2,2) * prob(4,2,2,3) - S * lambda(4,2,3) * prob(4,2,3,3)) * mu_eff(4,1,2)/S)^2;
W(4,2,5) = lambda(4,2,5) * ES2 (4,2,5) / 2 / (1-ro(4,2,5)) + prob(4,2,5,1) / ((1 - S * lambda(4,2,1) * prob(4,2,1,1) - S * lambda(4,2,2) * prob(4,2,2,1) - S * lambda(4,2,3) * prob(4,2,3,1)) * 1/S) + prob(4,2,5,2) / ((1 - S * lambda(4,2,1) * prob(4,2,1,2) - S * lambda(4,2,2) * prob(4,2,2,2) - S * lambda(4,2,3) * prob(4,2,3,2)) * mu_eff(4,3,3)/S) + prob(4,2,5,3) / ((1 - S * lambda(4,2,1) * prob(4,2,1,3) - S * lambda(4,2,2) * prob(4,2,2,3) - S * lambda(4,2,3) * prob(4,2,3,3)) * mu_eff(4,1,2)/S);
ES2(4,3,1) = prob(4,3,1,2) * 2 / ((1 - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,3) * prob(4,3,3,2) - S * lambda(4,3,5) * prob(4,3,5,2)) * mu_eff(4,4,3)/S)^2+prob(4,3,1,3) * 2 / ((1 - S * lambda(4,3,2) * prob(4,3,2,3) - S * lambda(4,3,3) * prob(4,3,3,3) - S * lambda(4,3,5) * prob(4,3,5,3)) * mu_eff(4,2,2)/S)^2+prob(4,3,1,5) * 2 / ((1 - S * lambda(4,3,2) * prob(4,3,2,5) - S * lambda(4,3,3) * prob(4,3,3,5) - S * lambda(4,3,5) * prob(4,3,5,5)) * mu_eff(3,3,4)/S)^2;
W(4,3,1) = lambda(4,3,1) * ES2 (4,3,1) / 2 / (1-ro(4,3,1)) + prob(4,3,1,2) / ((1 - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,3) * prob(4,3,3,2) - S * lambda(4,3,5) * prob(4,3,5,2)) * mu_eff(4,4,3)/S) + prob(4,3,1,3) / ((1 - S * lambda(4,3,2) * prob(4,3,2,3) - S * lambda(4,3,3) * prob(4,3,3,3) - S * lambda(4,3,5) * prob(4,3,5,3)) * mu_eff(4,2,2)/S) + prob(4,3,1,5) / ((1 - S * lambda(4,3,2) * prob(4,3,2,5) - S * lambda(4,3,3) * prob(4,3,3,5) - S * lambda(4,3,5) * prob(4,3,5,5)) * mu_eff(3,3,4)/S);
ES2(4,3,2) = prob(4,3,2,1) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,3) * prob(4,3,3,1) - S * lambda(4,3,5) * prob(4,3,5,1)) * 1/S)^2+prob(4,3,2,3) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,3) - S * lambda(4,3,3) * prob(4,3,3,3) - S * lambda(4,3,5) * prob(4,3,5,3)) * mu_eff(4,2,2)/S)^2+prob(4,3,2,5) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,5) - S * lambda(4,3,3) * prob(4,3,3,5) - S * lambda(4,3,5) * prob(4,3,5,5)) * mu_eff(3,3,4)/S)^2;
W(4,3,2) = lambda(4,3,2) * ES2 (4,3,2) / 2 / (1-ro(4,3,2)) + prob(4,3,2,1) / ((1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,3) * prob(4,3,3,1) - S * lambda(4,3,5) * prob(4,3,5,1)) * 1/S) + prob(4,3,2,3) / ((1 - S * lambda(4,3,1) * prob(4,3,1,3) - S * lambda(4,3,3) * prob(4,3,3,3) - S * lambda(4,3,5) * prob(4,3,5,3)) * mu_eff(4,2,2)/S) + prob(4,3,2,5) / ((1 - S * lambda(4,3,1) * prob(4,3,1,5) - S * lambda(4,3,3) * prob(4,3,3,5) - S * lambda(4,3,5) * prob(4,3,5,5)) * mu_eff(3,3,4)/S);
ES2(4,3,3) = prob(4,3,3,1) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,2) * prob(4,3,2,1) - S * lambda(4,3,5) * prob(4,3,5,1)) * 1/S)^2+prob(4,3,3,2) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,2) - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,5) * prob(4,3,5,2)) * mu_eff(4,4,3)/S)^2+prob(4,3,3,5) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,5) - S * lambda(4,3,2) * prob(4,3,2,5) - S * lambda(4,3,5) * prob(4,3,5,5)) * mu_eff(3,3,4)/S)^2;
W(4,3,3) = lambda(4,3,3) * ES2 (4,3,3) / 2 / (1-ro(4,3,3)) + prob(4,3,3,1) / ((1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,2) * prob(4,3,2,1) - S * lambda(4,3,5) * prob(4,3,5,1)) * 1/S) + prob(4,3,3,2) / ((1 - S * lambda(4,3,1) * prob(4,3,1,2) - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,5) * prob(4,3,5,2)) * mu_eff(4,4,3)/S) + prob(4,3,3,5) / ((1 - S * lambda(4,3,1) * prob(4,3,1,5) - S * lambda(4,3,2) * prob(4,3,2,5) - S * lambda(4,3,5) * prob(4,3,5,5)) * mu_eff(3,3,4)/S);
ES2(4,3,4) = 1;
W(4,3,4) = 0;
ES2(4,3,5) = prob(4,3,5,1) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,2) * prob(4,3,2,1) - S * lambda(4,3,3) * prob(4,3,3,1)) * 1/S)^2+prob(4,3,5,2) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,2) - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,3) * prob(4,3,3,2)) * mu_eff(4,4,3)/S)^2+prob(4,3,5,3) * 2 / ((1 - S * lambda(4,3,1) * prob(4,3,1,3) - S * lambda(4,3,2) * prob(4,3,2,3) - S * lambda(4,3,3) * prob(4,3,3,3)) * mu_eff(4,2,2)/S)^2;
W(4,3,5) = lambda(4,3,5) * ES2 (4,3,5) / 2 / (1-ro(4,3,5)) + prob(4,3,5,1) / ((1 - S * lambda(4,3,1) * prob(4,3,1,1) - S * lambda(4,3,2) * prob(4,3,2,1) - S * lambda(4,3,3) * prob(4,3,3,1)) * 1/S) + prob(4,3,5,2) / ((1 - S * lambda(4,3,1) * prob(4,3,1,2) - S * lambda(4,3,2) * prob(4,3,2,2) - S * lambda(4,3,3) * prob(4,3,3,2)) * mu_eff(4,4,3)/S) + prob(4,3,5,3) / ((1 - S * lambda(4,3,1) * prob(4,3,1,3) - S * lambda(4,3,2) * prob(4,3,2,3) - S * lambda(4,3,3) * prob(4,3,3,3)) * mu_eff(4,2,2)/S);
ES2(4,4,1) = prob(4,4,1,3) * 2 / ((1 - S * lambda(4,4,3) * prob(4,4,3,3) - S * lambda(4,4,5) * prob(4,4,5,3)) * mu_eff(4,3,2)/S)^2+prob(4,4,1,5) * 2 / ((1 - S * lambda(4,4,3) * prob(4,4,3,5) - S * lambda(4,4,5) * prob(4,4,5,5)) * mu_eff(3,4,4)/S)^2;
W(4,4,1) = lambda(4,4,1) * ES2 (4,4,1) / 2 / (1-ro(4,4,1)) + prob(4,4,1,3) / ((1 - S * lambda(4,4,3) * prob(4,4,3,3) - S * lambda(4,4,5) * prob(4,4,5,3)) * mu_eff(4,3,2)/S) + prob(4,4,1,5) / ((1 - S * lambda(4,4,3) * prob(4,4,3,5) - S * lambda(4,4,5) * prob(4,4,5,5)) * mu_eff(3,4,4)/S);
ES2(4,4,2) = 1;
W(4,4,2) = 0;
ES2(4,4,3) = prob(4,4,3,1) * 2 / ((1 - S * lambda(4,4,1) * prob(4,4,1,1) - S * lambda(4,4,5) * prob(4,4,5,1)) * 1/S)^2+prob(4,4,3,5) * 2 / ((1 - S * lambda(4,4,1) * prob(4,4,1,5) - S * lambda(4,4,5) * prob(4,4,5,5)) * mu_eff(3,4,4)/S)^2;
W(4,4,3) = lambda(4,4,3) * ES2 (4,4,3) / 2 / (1-ro(4,4,3)) + prob(4,4,3,1) / ((1 - S * lambda(4,4,1) * prob(4,4,1,1) - S * lambda(4,4,5) * prob(4,4,5,1)) * 1/S) + prob(4,4,3,5) / ((1 - S * lambda(4,4,1) * prob(4,4,1,5) - S * lambda(4,4,5) * prob(4,4,5,5)) * mu_eff(3,4,4)/S);
ES2(4,4,4) = 1;
W(4,4,4) = 0;
ES2(4,4,5) = prob(4,4,5,1) * 2 / ((1 - S * lambda(4,4,1) * prob(4,4,1,1) - S * lambda(4,4,3) * prob(4,4,3,1)) * 1/S)^2+prob(4,4,5,3) * 2 / ((1 - S * lambda(4,4,1) * prob(4,4,1,3) - S * lambda(4,4,3) * prob(4,4,3,3)) * mu_eff(4,3,2)/S)^2;
W(4,4,5) = lambda(4,4,5) * ES2 (4,4,5) / 2 / (1-ro(4,4,5)) + prob(4,4,5,1) / ((1 - S * lambda(4,4,1) * prob(4,4,1,1) - S * lambda(4,4,3) * prob(4,4,3,1)) * 1/S) + prob(4,4,5,3) / ((1 - S * lambda(4,4,1) * prob(4,4,1,3) - S * lambda(4,4,3) * prob(4,4,3,3)) * mu_eff(4,3,2)/S);


